2006-07-24  Paul Eggert  <eggert@cs.ucla.edu>

	* MODULES.html.sh (File stream based Input/Output):
	Add fopen-safer, tmpfile-safer; remove stdio-safer.
	* modules/getusershell (Depends-on): Change stdio-safer to fopen-safer.
	* modules/fopen-safer, modules/tmpfile-safer: New files.
	* modules/stdio-safer: Remove.

2006-07-24  Bruno Haible  <bruno@clisp.org>

	* modules/javacomp (Depends-on): Add unistd, javaversion, binary-io,
	getline, pathname, fwriteerror, clean-temp, xvasprintf, strstr.

2006-07-24  Bruno Haible  <bruno@clisp.org>

	* modules/clean-temp: New file.

2006-07-24  Bruno Haible  <bruno@clisp.org>

	* modules/tmpdir: New file.
	* MODULES.html.sh (File system functions): Add it.

2006-07-23  Eric Blake  <ebb9@byu.net>

	* modules/stdio-safer (Files): Add tmpfile-safer.c.
	(Depends-on): Add binary-io.

2006-07-22  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/close-stream: New file.
	* modules/closeout (Description): Make it clear that it exits
	with a diagnostic on error.
	(Depends-on): Add close-stream.  Remove fpending, stdbool.
	* MODULES.html.sh (File stream based Input/Output): Add close-stream.

2006-07-22  Bruno Haible  <bruno@clisp.org>

	Merge from GNU gettext 0.15.

	2006-05-01  Bruno Haible  <bruno@clisp.org>

		* build-aux/javacomp.sh.in: Update for changed javacomp.m4.

	2006-07-22  Bruno Haible  <bruno@clisp.org>

		* modules/javaversion: New file.
		* MODULES.html.sh (Java): Add javaversion.

	2006-03-12  Bruno Haible  <bruno@clisp.org>

		* build-aux/javaexec.sh.in: Update for changed javaexec.m4.

	2005-12-04  Bruno Haible  <bruno@clisp.org>

		* build-aux/csharpexec.sh.in: Add support for 'clix' launcher
		(untested).

	2006-06-21  Bruno Haible  <bruno@clisp.org>

		Avoid warnings from recent versions of mcs.
		* build-aux/csharpcomp.sh.in (options_mcs): Don't use options
		-o, -L, -r any more. Use options documented since mcs-1.0
		instead. Similarly for -g.

	2005-12-04  Bruno Haible  <bruno@clisp.org>

		* build-aux/csharpcomp.sh.in: Suffix for resources is
		.resources, not .resource.

	2005-07-09  Bruno Haible  <bruno@clisp.org>

		* build-aux/csharpcomp.sh.in (options_csc): For -l option,
		add a .dll suffix.
		Reported by Mark Junker <mjscod@gmx.de>.

	2006-07-22  Bruno Haible  <bruno@clisp.org>

		* modules/gettext: Upgrade to gettext-0.15.
		(Files): Remove m4/isc-posix.m4. Add m4/lock.m4,
		m4/visibility.m4.
		Replace m4/inttypes.m4 with m4/inttypes-h.m4.

2006-07-21  Eric Blake  <ebb9@byu.net>

	* modules/stdlib-safer: New file.
	* MODULES.html.sh (File stream based Input/Output): Add
	stdlib-safer.

2006-07-20  Bruno Haible  <bruno@clisp.org>

	* MODULES.html.sh (func_all_modules): Add a missing func_begin_table.

2006-07-20  Paul Eggert  <eggert@cs.ucla.edu>

	* gnulib-tool (func_usage): Document --assume-autoconf='latest-stable'.

2006-07-20  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool: Recognize new option --assume-autoconf.
	(autoconf_minversion): New variable.
	(func_get_filelist): Use it to decide whether to add onceonly_2_57.m4.

2006-07-17  Bruno Haible  <bruno@clisp.org>

	* modules/list: New file.
	* modules/array-list: New file.
	* modules/carray-list, modules/carray-list-tests: New files.
	* modules/linked-list, modules/linked-list-tests: New files.
	* modules/avltree-list, modules/avltree-list-tests: New files.
	* modules/rbtree-list, modules/rbtree-list-tests: New files.
	* modules/linkedhash-list, modules/linkedhash-list-tests: New files.
	* modules/avltreehash-list, modules/avltreehash-list-tests: New files.
	* modules/rbtreehash-list, modules/rbtreehash-list-tests: New files.
	* modules/oset: New file.
	* modules/array-oset: New file.
	* modules/avltree-oset, modules/avltree-oset-tests: New files.
	* modules/rbtree-oset, rbtree-oset-tests: New files.
	* tests/test-carray_list.c: New file.
	* tests/test-linked_list.c: New file.
	* tests/test-avltree_list.c: New file.
	* tests/test-rbtree_list.c: New file.
	* tests/test-linkedhash_list.c: New file.
	* tests/test-avltreehash_list.c: New file.
	* tests/test-rbtreehash_list.c: New file.
	* tests/test-avltree_oset.c: New file.
	* tests/test-rbtree_oset.c: New file.
	* MODULES.html.sh (Container data structures): New section.

2006-07-16  Paul Eggert  <eggert@cs.ucla.edu>

	* MODULES.html.sh: Add mkancestors.
	* modules/mkancesdirs: New module.
	* modules/mkdir-p (Files): Remove lib/chdir-safer.c, lib/chdir-safer.h,
	lib/same-inode.h, m4/afs.m4, m4/chdir-safer.m4.
	The chdir-safer and afs files are now orphans; I'll remove them
	unless someone speaks up.
	Add lib/dirchownmod.c, lib/dirchownmod.h.
	(Depends-on): Remove alloca, chown, save-cwd, dirname.
	Add lchown, mkancesdirs.
	(Maintainer): Add self.

2006-07-15  Karl Berry  <karl@gnu.org>

	* gnulib-tool: help message wording/arrangement.

2006-07-12  Simon Josefsson  <jas@extundo.com>

	* modules/gendocs (License): Fix license, approved by Karl.

2006-07-12  Eric Blake  <ebb9@byu.net>

	* MODULES.html.sh: Add gendocs.

2006-07-11  Eric Blake  <ebb9@byu.net>

	* gnulib-tool: List --doc-base before --tests-base.

2006-07-11  Eric Blake  <ebb9@byu.net>

	* modules/fdl: New module, to install doc/fdl.texi.
	* MODULES.html.sh: Add new section for documentation modules.
	* gnulib-tool: Avoid space-tab.
	(--doc-base): New option, to manage files from doc.

2006-07-11  Bruno Haible  <bruno@clisp.org>

	* README: Mention where to put documentation.

2006-07-09  Paul Eggert  <eggert@cs.ucla.edu>

	* build-aux/depcomp, build-aux/install-sh: Sync from Automake.

2006-07-08  Paul Eggert  <eggert@cs.ucla.edu>

	* gnulib-tool (func_get_filelist): Don't echo m4/onceonly_2_57.m4,
	for the benefit of people using Autoconf 2.60.  If you want to
	support older Autoconf versions you can copy m4/onceonly_2_57.m4
	(or m4/onceonly.m4, if pre-2.57) manually.

2006-07-07  Simon Josefsson  <jas@extundo.com>

	* tests/test-crc.c: Change expected crc value, the test vector
	were probably computed using the old broken crc.c?

2006-07-06  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>  (tiny change)

	* modules/getusershell (configure.ac): Use gl_FUNC_GETUSERSHELL,
	not gl_PREREQ_GETUSERSHELL.

2006-07-06  Simon Josefsson  <jas@extundo.com>

	* modules/sys_socket (Files): Add m4/sockpfaf.m4 (this module is
	now the canonical place for the M4 file).

	* modules/getaddrinfo (Files): Remove m4/sockpfaf.m4, we get it
	from the sys_socket dependency now.

	* modules/inet_pton (Files): Ditto.

	* modules/inet_ntop (Files): Ditto.

2006-07-05  Eric Blake  <ebb9@byu.net>

	* modules/getaddrinfo (Depends-on): Add snprintf.

2006-07-04  Eric Blake  <ebb9@byu.net>

	* modules/dirname-tests: New test module.
	* tests/test-dirname.c: New file, replacing dirname.c
	TEST_DIRNAME section that was recently deleted.

2006-07-04  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/cycle-check (lib_SOURCES): Add same-inode.h.
	From Mark D. Baushke.

2006-07-03  Eric Blake  <ebb9@byu.net>

	* modules/dirname (Depends-on): Add xstrndup.

2006-07-03  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from coreutils.
	* MODULES.html.sh: Add xstrtold.
	* modules/xstrtold: New file.
	* modules/cycle-check (Files): Add lib/same-inode.h.
	* modules/dirname (Files): Add m4/double-slash-root.m4.
	* modules/getcwd (Files): Add m4/getcwd-abort-bug.m4.
	* modules/mkdir-p (Files): Add lib/same-inode.h.
	* modules/same (Files): Add lib/same-inode.h.

2006-07-01  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/inttypes (Depends-on): No longer depends on stdint.
	* modules/stdint (Description): Say more about assumptions.
	Say that the fast types might differ.  Say macros are used.
	(Files): Remove m4/size_max.m4, m4/wchar_t.m4.  Add m4/longlong.m4.
	(Makefile.am): Revise list of substituted symbols to match
	new stdint.m4.
	* modules/stdint-tests (Files): Add m4/wchar_t.m4, m4/wint_t.m4.
	(configure.ac): Add gt_TYPE_WCHAR_T, gt_TYPE_WINT_T.
	* tests/test-stdint.c (verify_same_types)
	[! (__GNUC__ >= 2 && DO_PEDANTIC)]: Put in a decl, so that
	the code conforms to C99/C89.
	Test for WCHAR_MIN and WCHAR_MAX only if HAVE_WCHAR_T.
	Test for WINT_MIN and WINT_MAX only if HAVE_WINT_T.

2006-06-29  Eric Blake  <ebb9@byu.net>

	* MODULES.html.sh: Add sys_stat.
	* modules/sys_stat: New module.
	* modules/mkstemp (Depends-on): Add sys_stat.

2006-06-29  Jim Meyering  <jim@meyering.net>

	* modules/strftime (Maintainer): Add my name, since with the
	FPRINTFTIME changes strftime.c has forked from glibc.

2006-06-29  Bruno Haible  <bruno@clisp.org>

	* modules/wcwidth (License): Change to LGPL.

2006-06-29  Derek Price  <derek@ximbiot.com>

	* modules/c-bs-a: Removed - \a is C89.
	* MODULES.html.sh: Remove c-bs-a.

2006-06-28  Bruno Haible  <bruno@clisp.org>

	* modules/wcwidth (Files): Add m4/wchar_t.m4.

2006-06-28  Eric Blake  <ebb9@byu.net>

	* modules/wcwidth: New file.
	* modules/mbchar (Depends-on): Add wcwidth.
	* modules/mbswidth (Depends-on): Add wcwidth.
	* MODULES.html.sh: Add wcwidth.

2006-06-28  Simon Josefsson  <jas@extundo.com>

	* tests/test-getaddrinfo.c: Test getnameinfo too.  Call WSAStartup
	on _WIN32.

	* modules/getaddrinfo (Depends-on): Add inet_ntop, needed by
	getnameinfo.

2006-06-27  Simon Josefsson  <jas@extundo.com>

	* modules/sys_select: New file, suggested by Bruno Haible, Paul
	Eggert and Martin Lambers.

2006-06-26  Bruno Haible  <bruno@clisp.org>

	* modules/stdint (Makefile.am): Also substitute HAVE_WCHAR_H.

2006-06-23  Simon Josefsson  <jas@extundo.com>
	    Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_emit_lib_Makefile_am): Define MOSTLYCLEANDIRS.
	Emit mostlyclean-local rule.
	(func_emit_tests_Makefile_am): Likewise.
	* modules/sys_socket (Makefile.am): Use MOSTLYCLEANDIRS.

2006-06-23  Bruno Haible  <bruno@clisp.org>

	* tests/test-stdint.c: Update to match ISO C 99 Technical
	Corrigendum 1.

2006-06-21  Simon Josefsson  <jas@extundo.com>

	* tests/test-getaddrinfo.c: New file.

	* modules/getaddrinfo-tests: New file.

	* MODULES.html.sh: Add inet_pton.

	* modules/inet_pton: New file.

2006-06-19  Yoann Vandoorselaere <yoann.v@prelude-ids.com>

	* modules/sys_socket, modules/socklen: Include sys/types since
	FreeBSD 4.x's sys/socket.h needs it.

2006-06-15  Bruno Haible  <bruno@clisp.org>

	* modules/stdint (Files): Include m4/full-header-path.m4,
	m4/size_max.m4, m4/wchar_t.m4.
	(Makefile.am): Many more substitutions.
	* modules/stdint-tests: New file.
	* tests/test-stdint.c: New file.

2006-05-15  Bruno Haible  <bruno@clisp.org>

	* build-aux/config.rpath: Improve support for Sun C 5.9 on Linux, based
	on libtool patch by Ralf Wildenhues.

2006-05-09  Bruno Haible  <bruno@clisp.org>

	* modules/xvasprintf (Files): Add m4/xvasprintf.m4.
	(Depends-on): Depend also on xsize, stdarg.
	(configure.ac): Add gl_XVASPRINTF.

2006-05-08  Eric Blake  <ebb9@byu.net>

	* gnulib-tool (func_version): Base copyright year on CVS date.
	(func_emit_copyright_notice): New function.
	(func_emit_lib_Makefile_am): Use it.
	(func_emit_tests_Makefile_am): Likewise.
	(func_import): Likewise.

2006-05-05  Bruno Haible  <bruno@clisp.org>

	* build-aux/config.rpath: Add support for Sun C 5.9 on Linux.

2006-05-08  Bruno Haible  <bruno@clisp.org>

	* modules/stdarg: New file.
	* MODULES.html.sh (func_all_modules): Add section for <stdarg.h>.

2006-05-02  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/inttypes (Maintainer): Change from Derek Price to 'all'.

2006-04-29  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool: Make --update option actually work.

2006-04-25  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Output the include directives in three
	blocks, sorted separately.
	Reported by Ben Pfaff <blp@cs.stanford.edu>.

2006-04-23  Bruno Haible  <bruno@clisp.org>

	* modules/copy-file: Depend on unistd.
	* modules/execute: Likewise.
	* modules/fatal-signal: Likewise.
	* modules/findprog: Likewise.
	* modules/mkdtemp : Likewise.
	* modules/pipe: Likewise.
	* modules/wait-process: Likewise.

2006-04-23  Claudio Fontana  <claudio@gnu.org>
	    Bruno Haible  <bruno@clisp.org>

	* modules/gettext (Makefile.am): Add a -I flag for <libintl.h>.
	* gnulib-tool (func_emit_lib_Makefile_am): Emit empty default value
	for AM_CPPFLAGS.

2006-04-23  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_usage): Fix --import description. Document --update.
	(func_import): Create temporary file in a temporary directory, if
	--dry-run is specified. Silence errors from 'grep' when there are no
	m4 files in $m4dir.
	(func_create_testdir): Silence errors from 'grep' when there are no
	m4 files in $m4dir.
	Reported by Karl Berry <karl@freefriends.org>.

2006-04-18  Derek Price  <derek@ximbiot.com>
	    Paul Eggert  <eggert@cs.ucla.edu>

	* modules/inttypes: New file.
	* modules/strtoimax, modules/strtoumax: Depend on inttypes.

2006-04-12  Eric Blake  <ebb9@byu.net>

	* modules/time_r (Makefile.am): Remove lib_SOURCES line, as this
	is now done automatically by the corresponding Autoconf macro.

2006-04-09  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/regex (Depends-on): Add ssize_t.

2006-03-08  Simon Josefsson  <jas@extundo.com>

	* build-aux/maint.mk: Fix refresh-po, to handle no translated
	languages.

2006-03-07  Paul Eggert  <eggert@cs.ucla.edu>

	* MODULES.html.sh (Support for systems lacking POSIX:2001):
	Add unistd.
	* modules/c-stack (Depends-on): Add unistd.
	* modules/getlogin_r: Likewise.
	* modules/glob: Likewise.
	* modules/pagealign_alloc: Likewise.
	* modules/unistd (Files): Remove lib/unistd_.h.
	(EXTRA_DIST): Remove.
	(unistd.h): Create using 'echo' rather than 'cp', so that we don't
	need unistd_.h.
	(MOSTLYCLEANFILES): Remove unistd.h-t.

2006-03-07  Simon Josefsson  <jas@extundo.com>

	* modules/getopt (Depends-on): Add unistd.

	* modules/unistd: New file.

2006-03-07  Simon Josefsson  <jas@extundo.com>

	* modules/gc-random: New file.

2006-03-03  Simon Josefsson  <jas@extundo.com>

	* build-aux/maint.mk: Add refresh-po rule, based on ideas from
	libidn and bison.

2006-03-03  Simon Josefsson  <jas@extundo.com>

	* build-aux/maint.mk: Add several syntax checks from CoreUtils.

2006-03-03  Simon Josefsson  <jas@extundo.com>

	* build-aux/maint.mk: Add indent target.

2006-03-01  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/gettime (Depends-on): Add extensions module.
	* modules/nanosleep (Depends-on): Likewise.
	* modules/settime (Depends-on): Likewise.

2006-02-26  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/intprops: New file.
	* MODULES.html.sh (Numeric conversion functions <stdlib.h>):
	Add intprops.
	* modules/getloadavg (Files): Remove lib/intprops.h.
	(Depends-on): Add intprops.
	* modules/human: Likewise.
	* modules/inttostr: Likewise.
	* modules/openat: Likewise.
	* modules/sig2str: Likewise.
	* modules/userspec: Likewise.
	* modules/utimecmp: Likewise.
	* modules/xnanosleep: Likewise.
	* modules/xstrtol: Likewise.

2006-02-24  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>  (tiny changes)

	* modules/xstrtod: Omit xstrtod.h, xstrtod.c; they're in LIB_SOURCES.
	* modules/lock-tests (TESTS): Use $(EXEEXT).
	* modules/tls-tests: Likewise.
	* modules/argp-tests: Likewise.
	(check_PROGRAMS): New var, replacing...
	(noinst_PROGRAMS, test_argp_SOURCES): Remove.

2006-02-16  Simon Josefsson  <jas@extundo.com>

	* modules/getaddrinfo (Depends-on): Add sys_socket.

2006-02-15  Simon Josefsson  <jas@extundo.com>

	* build-aux/maint.mk: Add dsyntax-check rule.

2006-02-14  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from coreutils.
	* modules/lstat (Depends-on): Don't depend on xalloc.
	(License): Change from GPL to LGPL, since this is now simply a
	replacement for a libc function.

2006-02-14  Simon Josefsson  <jas@extundo.com>

	* modules/maintainer-makefile (Files): Rename.

	* build-aux/GNUmakefile: Rename Makefile.maint to maint.mk
	and (the local) Makefile.cfg to maint-cfg.mk.

	* build-aux/Makefile.maint, build-aux/maint.mk: Renamed the former
	to the latter.

	* modules/maintainer-makefile: New module.

	* build-aux/Makefile.maint: New file, from GNU CoreUtils, although
	severaly stripped to make it possible to build it up from scratch
	with reliable tests.

	* build-aux/GNUmakefile: New file, from GNU CoreUtils with some
	fixes to permit overriding the default actions when configure and
	makefile are not available.

2006-02-13  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool (Usage): Fix --import, from
	karl@freefriends.org (Karl Berry).

2006-02-07  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/closeout (Depends-on): Remove atexit.

2006-01-26  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Use "trap 'exit $?' instead of "trap :".
	Reported by Paul Eggert.

2006-01-25  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Use "trap :" instead of "trap -" to get
	rid of a trap command. For Solaris sh.
	Reported by Mark D. Baushke <mdb@gnu.org>.

2006-01-24  Bruno Haible  <bruno@clisp.org>

	* modules/strnlen (Maintainer): Change from glibc to all.

2006-01-24  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Avoid constructing complicated sed
	expressions inside backquote.
	Report and solution by Mark D. Baushke <mdb@gnu.org>.

2006-01-24  Jim Meyering  <jim@meyering.net>

	* modules/openat (Files): Add lib/intprops.h.
	From Mark D. Baushke.

2006-01-19  Simon Josefsson  <jas@extundo.com>

	* modules/lock-tests: Use check_PROGRAMS instead of noinst_PROGRAMS.
	Remove the test_*_SOURCES variable: automake infers it by default.
	* modules/tls-tests: Likewise.

2006-01-22  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>  (tiny change)

	 * gnulib-tool, build-aux/csharpcomp.sh.in: Do not pass `-q' to mktemp.
	 Reported by Bruce Korb <bkorb@gnu.org>.

2006-01-21  Sergey Poznyakoff  <gray@gnu.org.ua>

	* modules/argp-tests: New module
	* tests/test-argp.c: New file
	* tests/test-argp-2.sh: New file

2006-01-20  Simon Josefsson  <jas@extundo.com>

	* modules/inet_ntop (Depends-on): Depend on sys_socket.

2006-01-19  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool: Set check_PROGRAMS.

	* modules/arcfour-tests, modules/arctwo-tests, modules/crc-tests,
	modules/des-tests, modules/gc-arcfour-tests,
	modules/gc-arctwo-tests, modules/gc-des-tests,
	modules/gc-hmac-md5-tests, modules/gc-hmac-sha1-tests,
	modules/gc-md2-tests, modules/gc-md4-tests, modules/gc-md5-tests,
	modules/gc-pbkdf2-sha1-tests, modules/gc-rijndael-tests,
	modules/gc-sha1-tests, modules/gc-tests, modules/hmac-md5-tests,
	modules/hmac-sha1-tests, modules/md2-tests, modules/md4-tests,
	modules/md5-tests, modules/readline, modules/rijndael-tests: Use
	check_PROGRAMS instead of noinst_PROGRAMS to be able to remove
	test_*_SOURCES.

2006-01-18  Simon Josefsson  <jas@extundo.com>

	* modules/arcfour-tests, modules/arctwo-tests, modules/crc-tests,
	modules/des-tests, modules/gc-arcfour-tests,
	modules/gc-arctwo-tests, modules/gc-des-tests,
	modules/gc-hmac-md5-tests, modules/gc-hmac-sha1-tests,
	modules/gc-md2-tests, modules/gc-md4-tests, modules/gc-md5-tests,
	modules/gc-pbkdf2-sha1-tests, modules/gc-rijndael-tests,
	modules/gc-sha1-tests, modules/gc-tests, modules/hmac-md5-tests,
	modules/hmac-sha1-tests, modules/md2-tests, modules/md4-tests,
	modules/md5-tests, modules/readline, modules/rijndael-tests: Add
	$(EXEEXT) to automake TESTS variable, for mingw32.

2006-01-18  Simon Josefsson  <jas@extundo.com>

	* modules/socklen (Depends-on): Depend on sys_socket.

2006-01-17  Bruno Haible  <bruno@clisp.org>

	* modules/ssize_t (Include): Add <sys/types.h>.

2006-01-17  Simon Josefsson  <jas@extundo.com>

	* modules/socklen (Include): Need sys/socket.h.

2006-01-12  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import, func_create_testdir): Don't go into an
	endless loop while replacing $auxdir with build-aux.

2006-01-12  Bruno Haible  <bruno@clisp.org>

	* modules/ldd: New file.
	* build-aux/ldd.sh.in: New file.
	* MODULES.html.sh (Support for building libraries and executables): Add
	ldd.

2006-01-11  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (AUTOCONF, ACLOCAL, AUTOMAKE, AUTORECONF): Make
	overridable by the user.
	Reported by Ralf Wildenhues <Ralf.Wildenhues@gmx.de>.

2006-01-08  Bruno Haible  <bruno@clisp.org>

	Avoid "ar: no archive members specified" error on MacOS X.
	* gnulib-tool (func_modules_add_dummy): New function.
	(func_import, func_create_testdir): Invoke it.

2006-01-08  Bruno Haible  <bruno@clisp.org>

	Ensure automatic ordering between gl_LOCK and gl_ARGP.
	* gnulib-tool (func_import, func_create_testdir): Put gl_LOCK into
	the "early" section as well.

2006-01-08  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_emit_lib_Makefile_am, func_emit_tests_Makefile_am):
	Initialize also noinst_HEADERS to empty.

2006-01-08  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (AUTOMAKEPATH, AUTOCONF, ACLOCAL, AUTOMAKE): New
	variables.
	(func_create_megatestdir): Call aclocal, autoconf, automake here, not
	autoreconf.

2006-01-11  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import, func_create_testdir): Replace build-aux
	with $auxdir in AC_CONFIG_FILES statements.

2006-01-10  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/readutmp (Maintainer): Add myself.

2006-01-10  Bruno Haible  <bruno@clisp.org>

	* modules/readutmp: Depend on module free.
	* modules/strtok_r: Depend on module restrict.

2006-01-10  Simon Josefsson  <jas@extundo.com>

	* modules/sys_socket: New file.

2006-01-07  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_emit_tests_Makefile_am): Emit an empty SUBDIR
	variable.
	Needed to avoid an automake error regarding the 'gettext' module.

2006-01-07  Bruno Haible  <bruno@clisp.org>

	* modules/gettext (configure.ac): Add an invocation of
	AM_GNU_GETTEXT_VERSION. Needed since autoreconf is used by gnulib-tool.

2006-01-09  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from coreutils:

	* MODULES.html.sh (build_lib): New section, with new lib-ignore module.
	* modules/lib-ignore: New file.
	* modules/mkdir-p (Files): Add chdir-safer.c, chdir-safer.h, lchmod.h,
	chdir-safer.m4, lchmod.m4.
	* modules/openat: Add mkdirat.c, openat-priv.h.

2006-01-09  Bruno Haible  <bruno@clisp.org>

	* modules/strnlen (Include): Use strnlen.h.

2006-01-09  Simon Josefsson  <jas@extundo.com>

	* modules/inet_ntop (Depends-on): Add restrict.

2006-01-09  Simon Josefsson  <jas@extundo.com>

	* modules/gc-rijndael-tests (License): Put under LGPL.

	* modules/gc-des-tests (License): Likewise.

	* modules/gc-arcfour-tests (License): Likewise.

	* modules/gc-arctwo-tests (License): Likewise.

	* modules/gc-pbkdf2-sha1-tests (License): Likewise.

	* modules/gc-hmac-sha1-tests (Files): Likewise.

	* modules/gc-hmac-md5-tests (License): Likewise.

	* modules/gc-sha1-tests (License): Likewise.

	* modules/gc-md5-tests (License): Likewise.

	* modules/gc-md4-tests (License): Likewise.

	* modules/gc-md2-tests (License): Likewise.

	* modules/gc-tests (License): Likewise.

	* modules/des-tests (License): Likewise.

	* modules/md4-tests (License): Likewise.

	* modules/md2-tests (License): Likewise.

2006-01-09  Bruno Haible  <bruno@clisp.org>

	* build-aux/javacomp.sh.in: New file, moved from lib/.
	* modules/javacomp-script (Files): Update.
	(configure.ac): Add AC_CONFIG_FILES invocation.
	(EXTRA_DIST): Remove variable.

	* build-aux/javaexec.sh.in: New file, moved from lib/.
	* modules/javaexec (Files): Update.
	(configure.ac): Add AC_CONFIG_FILES invocation.
	(EXTRA_DIST): Remove javaexec.sh.in.

	* build-aux/csharpcomp.sh.in: New file, moved from lib/.
	* modules/csharpcomp-script (Files): Update.
	(configure.ac): Add AC_CONFIG_FILES invocation.
	(EXTRA_DIST): Remove variable.

	* build-aux/csharpexec.sh.in: New file, moved from lib/.
	* modules/csharpexec (Files): Update.
	(configure.ac): Add AC_CONFIG_FILES invocation.
	(EXTRA_DIST): Remove csharpexec.sh.in.

2006-01-07  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Add an AC_PROG_RANLIB dependency to
	gl_EARLY.

2006-01-04  Paul Eggert  <eggert@cs.ucla.edu>

	* README: Gnulib normally doesn't generate a tarball.

2005-12-28  Bruno Haible  <bruno@clisp.org>

	* build-aux/config.rpath: Update from GNU gettext.

2005-12-16  Jim Meyering  <jim@meyering.net>

	* modules/fprintftime: New module.
	* MODULES.html.sh (Date and time <time.h>): Add fprintftime.

2005-12-15  Simon Josefsson  <jas@extundo.com>

	* modules/socklen (configure.ac): Fix M4 macro name, to align with
	new m4/socklen.m4.

2005-12-09  Sergey Poznyakoff  <gray@gnu.org.ua>

	* modules/argp (Files): Add argp-pin.c
	(Depends-on): dirname
	(lib_SOURCES): Add argp-pin.c

2005-12-02  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Accept GPLed build tool modules when
	--lgpl is given.
	* modules/csharpcomp-script: New file.
	* modules/csharpcomp: Depend on it.
	* modules/javacomp-script: New file.
	* modules/javacomp: Depend on it.
	Suggested by Simon Josefsson.

2005-11-29  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/savedir (Depends-on): Add openat.

2005-11-25  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/obstack (Files): Add m4/ulonglong.m4.
	Problem reported by Davide Angelocola.

2005-11-10  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/gethrxtime (Depends-on): Add gettime.

2005-11-04  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool: Implement --update mode.

2005-10-28  Simon Josefsson  <jas@extundo.com>

	* tests/test-gc-md4.c, tests/test-gc-md5.c, tests/test-gc-sha1.c:
	Test more.

	* tests/test-gc-md2.c, tests/test-md2.c: New files.

	* modules/md2, modules/md2-tests: New files.

2005-10-27  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/verify (License): Change from GPL to LGPL.  This is a
	tiny module and there are apparently near-equivalents that are
	under the BSD license.

2005-10-24  Simon Josefsson  <jas@extundo.com>

	* modules/sha1: Relicense to LGPL.

2005-10-23  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool (func_import): Fix --tests-base.

2005-10-22  Simon Josefsson  <jas@extundo.com>

	* modules/arcfour (Depends-on): Need stdint.

2005-10-21  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import, func_create_testdir): Add quoting to last
	patch.

2005-10-21  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool (func_import, func_create_testdir): Define automake
	conditional GL_COND_LIBTOOL if libtool is used (to be used by modules
	Makefile.am snippet),
	suggested by Bruno Haible <bruno@clisp.org>.

	* modules/gc (Makefile.am): Use it.

2005-10-21  Simon Josefsson  <jas@extundo.com>

	* modules/des, modules/des-tests: New files.

	* modules/gc-des, modules/gc-des-tests: New files.

	* tests/test-des.c, tests/test-gc-des.c: New file.

2005-10-21  Simon Josefsson  <jas@extundo.com>

	* modules/arctwo, modules/arctwo-tests: New files.

	* tests/test-arctwo.c: New file.

	* modules/gc-arctwo, modules/gc-arctwo-tests: New files.

	* tests/test-gc-arctwo.c: New file.

2005-10-19  Simon Josefsson  <jas@extundo.com>

	* tests/test-gc-arcfour.c: New file.

	* modules/gc-arcfour, modules/gc-arcfour-tests: New files.

2005-10-19  Simon Josefsson  <jas@extundo.com>

	* tests/test-gc-rijndael.c: New file.

	* modules/gc-rijndael, modules/gc-rijndael-test: New files.

2005-10-19  Simon Josefsson  <jas@extundo.com>

	* tests/test-gc-md4.c, tests/test-gc-md5.c: Test gc_hash_buffer
	interface too.

2005-10-19  Simon Josefsson  <jas@extundo.com>

	* modules/gc-md4, modules/gc-md4-tests: New file.

	* tests/test-gc-md4.c: New file.

2005-10-18  Simon Josefsson  <jas@extundo.com>

	* tests/test-md4.c: New file.

	* modules/md4, modules/md4-tests: New files.

2005-10-18  Simon Josefsson  <jas@extundo.com>

	* tests/test-md5.c: New file.

	* modules/md5-tests: New file.

2005-10-17  Stepan Kasal  <kasal@ucw.cz>

	* gnulib-tool (func_create_testdir): Omit the second check whether
	BUILT_SOURCES in nonempty.

2005-10-17  Simon Josefsson  <jas@extundo.com>

	* modules/gc-sha1-tests: New file.

	* tests/test-gc-sha1.c: New file.

2005-10-17  Simon Josefsson  <jas@extundo.com>

	* tests/test-rijndael.c: New file.

2005-10-17  Simon Josefsson  <jas@extundo.com>

	* modules/sha1: Depend on stdint instead of md5.

	* modules/md5: Depend on stdint, remove uint32_t.

2005-10-16  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_emit_tests_Makefile_am): Also define
	TESTS_ENVIRONMENT, so that individual tests can augment it.

	* gnulib-tool (func_create_testdir): Use an intermediate target for
	building $(BUILT_SOURCES). Needed because BUILT_SOURCES can contain
	macros, like $(ALLOCA_H), which cannot be passed through the command
	line.

2005-10-15  Simon Josefsson  <jas@extundo.com>

	* modules/rijndael-tests: New file.

	* modules/rijndael: New file.

2005-10-14  Simon Josefsson  <jas@extundo.com>

	* tests/test-arcfour.c: New file.

	* modules/arcfour, modules/arcfour-tests: New files.

2005-10-13  Oskar Liljeblad  <oskar@osk.mine.nu>

	* modules/human (Depends-on): Depend on xstrtoumax, not xstrtol.

2005-10-13  Simon Josefsson  <jas@extundo.com>

	* modules/gc-hmac-md5-tests: New file.

	* tests/test-gc-hmac-sha1.c: New file.

	* tests/test-gc.c (main): Remove MD5 and HMAC-MD5 tests.

	* modules/gc-hmac-md5-tests: New file.

	* tests/test-gc-md5.c: New file.

	* modules/gc-md5-tests: New file.

2005-10-12  Simon Josefsson  <jas@extundo.com>

	* modules/gc-pbkdf2-sha1, modules/gc-pbkdf2-sha1-tests: New files.

	* tests/test-gc-pbkdf2-sha1.c: New file.

2005-10-12  Simon Josefsson  <jas@extundo.com>

	* modules/gc-sha1: New file.

2005-10-12  Simon Josefsson  <jas@extundo.com>

	* tests/test-hmac-sha1.c: New file.

	* modules/hmac-sha1-tests: New file.

	* modules/hmac-sha1: New file.

2005-10-12  Simon Josefsson  <jas@extundo.com>

	* modules/gc-md5, modules/gc-hmac-md5: New files.

	* modules/gc (Files): Remove md5, memxor and hmac files.

2005-10-11  Bruno Haible  <bruno@clisp.org>

	* modules/c-strcasestr: New file.
	* MODULES.html.sh (String handling <string.h>): Add c-strcasestr.

2005-10-11  Bruno Haible  <bruno@clisp.org>

	* modules/c-strcase: New file.
	* MODULES.html.sh (String handling <string.h>): Add c-strcase.

2005-10-11  Simon Josefsson  <jas@extundo.com>

	* tests/test-crc.c: New file.

	* modules/crc, modules/crc-tests: New files.

2005-10-10  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/mempcpy (License): GPL -> LGPL.
	* modules/strchrnul (License): Likewise.
	* modules/sysexits (License): Likewise.

2005-10-06  Simon Josefsson  <jas@extundo.com>

	* tests/test-hmac-md5.c: New file.

	* modules/hmac-md5-tests: New file.

	* modules/hmac-md5: New file.

2005-10-05  Bruno Haible  <bruno@clisp.org>

	* modules/stdint (License): Change to LGPL.

2005-10-05  Simon Josefsson  <jas@extundo.com>

	* modules/memxor: New file.

	* modules/iconv (Files): Move config.rpath to havelib, it is used
	there.

	* modules/havelib (Files): Add config.rpath.

2005-10-02  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/xreadlink (Makefile.am): Remove lib_SOURCES.
	From Ben Pfaff.

	* modules/exclude (Depends-on): Depend on verify.
	* modules/strtoimax (Depends-on): Likewise.
	* modules/utimecmp (Depends-on): Likewise.

2005-09-27  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/regex (Depends-on): Add strcase.

	* modules/gethostname (Licence): Change from GPL to LGPL, since
	gethostname.c is a trivial implementation of a standard library
	function.
	* modules/poll (License): Change from GPL to LGPL, since it's
	derived from LGPL code.

2005-09-26  Bruno Haible  <bruno@clisp.org>

	* modules/mbchar (Include): Mention that HAVE_WCHAR_H && HAVE_WCTYPE_H
	is necessary.
	(lib_SOURCES): Remove mbchar.c.
	* modules/mbfile (Include): Mention that HAVE_MBRTOWC is necessary.
	(Files): Add m4/mbrtowc.m4.
	* modules/mbiter: Likewise.
	* modules/mbuiter: Likewise.

2005-09-25  Jim Meyering  <jim@meyering.net>

	* modules/inet_ntop (Depends-on): Add socklen, since inet_ntop.c
	also uses socklen_t.

2005-09-23  Jim Meyering  <jim@meyering.net>

	* modules/getaddrinfo (Depends-on): Add socklen.

2005-09-23  Bruno Haible  <bruno@clisp.org>

	* tests/test-verify.c: New file.

2005-09-22  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from coreutils.

	* modules/argmatch (Depends-on): Add verify.
	* modules/getloadavg (Depends-on): Depend on fcntl-safer, not
	unistd-safer.
	* modules/save-cwd (Depends-on): Likewise.

	* modules/openat (Files): Add lib/openat-die.c.
	(Depends-on): Remove error, exitfail.
	Add dirname.

	* modules/verify: New file.
	* MODULES.html.sh (Diagnostics <assert.h>): New section,
	with "verify" module.

2005-09-20  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool: Remove trailing slashes from the values specified for
	--source-base, --m4-base, --tests-base, --aux-dir.
	Suggested by Simon Josefsson <jas@extundo.com>.

2005-09-20  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_all_modules, func_modules_transitive_closure,
	func_modules_to_filelist, func_import, func_create_testdir): Make all
	sorting results locale-independent, so that gnulib-cache.m4 doesn't
	change when gnulib-tool is invoked in a different locale.

2005-09-19  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (import): Provide default for --tests-base.

2005-09-19  Jim Meyering  <jim@meyering.net>

	* modules/pathmax (License): Change to LGPL.

2005-09-18  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool: Support --with-tests also with --import.
	(func_emit_tests_Makefile_am): Use variables $m4base and $testsbase.
	(func_import): Use variables $testsbase and $inctests. Emit a
	gl_TESTS_BASE form into gnulib-cache.m4. Create $testsbase/Makefile.am.
	Remind the user to add AC_CONFIG_FILES($testsdir/Makefile) and
	SUBDIRS += $testsdir.
	(func_create_testdir): Update.

2005-09-18  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Comment out code that spits out the
	new files with --dry-run.

2005-09-18  Bruno Haible  <bruno@clisp.org>

	Portability fix.
	* gnulib-tool (func_readlink): New function.
	(func_ln_if_changed): Use it.

2005-09-18  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool: Revise --dry-run implementation. Use variable $doit
	instead of $dry_run.
	(func_cp_if_changed, func_mv_if_changed): Remove functions.
	(func_ln_if_changed): Don't handle dry-run here.
	(func_import): In dry-run mode, detect more precisely which actions
	would be performed, and don't use "...ing" verbs.

2005-09-18  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_tmpdir): New function, taken from GNU gettextize.
	(func_import): Use join on two temporary files instead of three nested
	loops, in order to determine which files are new or old.

2005-09-16  Paul Eggert  <eggert@cs.ucla.edu>

	* MODULES.html.sh (File system functions): Add stat-time.
	* modules/stat-time: New file.
	* modules/timespec (Files): Remove m4/st_mtim.m4; this
	is now done in a different way, by the stat-time module.
	* modules/utimecmp (Depends-on): Add stat-time.

2005-09-12  Derek Price  <derek@ximbiot.com>

	* modules/canon-host: Add canon-host.h.  Depend on getaddrinfo.  Make
	LGPL.
	* modules/getaddrinfo: Add link to opengroup spec.  Depend on strdup.

2005-09-12  Derek Price  <derek@ximbiot.com>
	    Paul Eggert  <eggert@cs.ucla.edu>

	* modules/glob (Files): Add glob-libc.h.

2005-09-08  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/utimens (Files): Add m4/utimbuf.m4, since
	m4/utimens.m4 requires gl_CHECK_TYPE_STRUCT_UTIMBUF.
	Reported by Sergey Poznyakoff.

2005-09-08  Simon Josefsson  <jas@extundo.com>

	* modules/socklen: New file.

2005-09-05  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Fix comparison in handling of symbolic
	links.

2005-09-04  Martin Lambers <marlam@marlam.de>  (tiny change)

	* modules/size_max (Makefile.am): Add size_max.h

2005-09-04  Derek Price  <derek@ximbiot.com>

	* gnulib-tool (func_import): Fix reversed $symbolic logic.

2005-09-03  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool: Fix typo.

2005-09-02  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/inttostr (Files): Add m4/inttypes_h.m4, m4/stdint_h.m4,
	m4/ulonglong.m4.  Problem reported by Martin Lambers.

2005-09-02  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (import): In the other first-use case, provide defaults
	as well.

2005-09-02  Simon Josefsson  <jas@extundo.com>

	* modules/havelib: New module.

	* modules/gettext, modules/iconv, modules/lock, modules/readline:
	Use havelib.

2005-08-31  Simon Josefsson  <jas@extundo.com>

	* modules/socklen: New file.

2005-09-01  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Fix handling of symbolic links.

2005-09-01  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (import): In the first-use case, provide defaults.

2005-09-01  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Remove the .tmp files.

2005-08-30  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Fix defaulting of $libname and $libtool.
	Create directories that shall be filled.
	(import): Don't look for gl_* macros in configure.ac. Recurse across
	all directories containing a gnulib-cache.m4 files, if meaningful.

2005-08-30  Bruno Haible  <bruno@clisp.org>

	Avoid unnecessary diffs in the generated lib/Makefile.am.
	* gnulib-tool (func_emit_lib_Makefile_am): Don't write the cmd into
	the generated files.
	(func_import): Don't set cmd.

2005-08-30  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Read the previous cached settings
	from gnulib-cache.m4 and gnulib-comp.m4. Remove files that were
	earlier added by gnulib but are now dropped. Warn when a gnulib file
	overwrites a non-gnulib file.

2005-08-28  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Generate two files gnulib-cache.m4 and
	gnulib-comp.m4 instead of a single gnulib.m4, to make it easy for
	projects that don't keep autogenerated files in CVS. Put into
	actioncmd only the specified modules, not the transitive closure.

2005-08-28  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Require AC_GNU_SOURCE etc. instead of
	always instantiating them.

2005-08-28  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (import): Rename most ac_* variables to cached_*.
	Also use new variables cached_lgpl, cached_libtool.

2005-08-28  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Also copy m4/gnulib-tool.m4. Omit
	declaration macro definitions from generated gnulib.m4.

2005-08-28  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool: New option --macro-prefix.
	(func_import): Use macro_prefix.
	(import): Handle option --macro-prefix.

2005-08-28  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Emit also a stub for gl_LIBTOOL.
	(import): Set seen_libtool when we see gl_LIBTOOL.

2005-08-31  Jim Meyering  <jim@meyering.net>

	* check-module: Add a FIXME comment.

2005-08-31  Eric Blake  <ebb9@byu.net>

	* modules/unistd-safer (Files): Add unistd--.h.
	* modules/stdio-safer (Files): Add stdio--.h.

2005-08-28  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (import): Avoid unnecessary spaces in $avoidlist.

2005-08-28  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Emit more comments into gnulib.m4.
	Emit more advice.

2005-08-28  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool: Enclose all occurrences of $destdir in "...", so
	that it works when the directory contains spaces.

2005-07-11  Bruno Haible  <bruno@clisp.org>
	and Stepan Kasal  <kasal@ucw.cz>

	* check-module: If more parameters are given, check each of them
	separately; add more exceptions, as noted by Jim Meyering.
	(check_module): New procedure.
	(%exempt_header): Now contains all exceptions.

2005-07-30  Ben Pfaff  <blp@cs.stanford.edu>

	* modules/byteswap (Makefile.am): Fix rule to not assume GNU make.

2005-08-27  Jim Meyering  <jim@meyering.net>

	* modules/unistd-safer (Files): Add pipe-safer.c.
	* modules/fcntl-safer (Files): Add creat-safer.c.

2005-08-25  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/regex (Depends-on): Add malloc, since the code
	assumes that !malloc(0) means failure.

2005-08-24  Bruno Haible  <bruno@clisp.org>

	* modules/tls-tests: New file.
	* tests/test-tls.c: New file, from GNU gettext.

2005-08-24  Bruno Haible  <bruno@clisp.org>

	* modules/lock-tests: New file.
	* tests/test-lock.c: New file, from GNU gettext.

2005-08-24  Bruno Haible  <bruno@clisp.org>

	Support for unit test modules.
	* modules/README: Mention tests modules.
	* modules/TEMPLATE-TESTS: New file.
	* gnulib-tool: New options --extract-tests-module, --with-tests and
	--tests-base (unused for the moment).
	(testsbase, inctests): New variables.
	(func_all_modules): Exclude TEMPLATE-TESTS and *-tests.
	(func_verify_module): Exclude TEMPLATE-TESTS.
	(func_verify_nontests_module, func_verify_tests_module): New functions.
	(func_get_dependencies): Add implicit dependency for tests modules.
	(func_get_tests_module): New function.
	(func_modules_transitive_closure): When --with-tests was specified,
	include the unit tests as well, unless explicitly avoided.
	(func_emit_lib_Makefile_am): Ignore the tests modules here.
	(func_emit_tests_Makefile_am): New function.
	(func_create_testdir): When --with-tests was specified, emit a
	tests/ directory.
	* MODULES.html.sh (Future developments): Update.

2005-08-24  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_version): Update.

2005-08-24  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_create_megatestdir): Call autoreconf without the
	option --force, because --force causes the aclocal.m4 of each
	subdirectory to be newer than the corresponding config.h.in.

2005-08-24  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool: Add support for the --aux-dir option to
	--create-testdir, --create-megatestdir, --test, --megatest.
	(func_create_testdir, func_create_megatestdir): Optionally emit a
	AC_CONFIG_AUX_DIR directive.
	(create-testdir, create-megatestdir, test, megatest): Provide a
	default value for $auxdir.

2005-08-24  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (import): Use compound statement instead of subshell
	where possible.

2005-08-24  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (import): Change --aux-dir default to "build-aux".

2005-08-24  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import, func_create_testdir,
	func_create_megatestdir): Quote all autoconf macro arguments.

2005-08-24  Jim Meyering  <jim@meyering.net>

	* modules/fcntl-safer: New module.
	* modules/fts (Depends-on): Add fcntl-safer.
	* MODULES.html.sh (File descriptor based Input/Output):
	Add fcntl-safer.

2005-08-24  Simon Josefsson  <jas@extundo.com>

	* tests/test-getpass.c: New file.

2005-08-24  Jim Meyering  <jim@meyering.net>

	* modules/xgetcwd (Makefile.am): Remove `lib_SOURCES += ...' line,
	now that xgetcwd.m4 requires xgetcwd.c and xgetcwd.h.

2005-08-17  Bruno Haible  <bruno@clisp.org>

	* modules/strcasestr: New file.
	* MODULES.html.sh (String handling, based on ANSI C 89): Add
	strcasestr.

2005-08-17  Bruno Haible  <bruno@clisp.org>

	* modules/strstr (Files): Add m4/mbrtowc.m4.
	(Depends-on): Add mbuiter.

2005-08-17  Bruno Haible  <bruno@clisp.org>

	* modules/strcase (Depends-on): Add mbuiter. Remove strnlen1, mbchar.

2005-08-17  Bruno Haible  <bruno@clisp.org>

	* modules/mbuiter: New file.
	* MODULES.html.sh (Extended multibyte and wide character utilities):
	Add mbuiter.

2005-08-16  Bruno Haible  <bruno@clisp.org>

	* modules/strcase (Files): Add m4/mbrtowc.m4.
	(Depends-on): Add strnlen1, mbchar.

2005-08-16  Bruno Haible  <bruno@clisp.org>

	* modules/strnlen1: New file.
	* MODULES.html.sh (String handling): Add strnlen1.

2005-08-16  Bruno Haible  <bruno@clisp.org>

	* modules/mbfile: New file.
	* MODULES.html.sh (Extended multibyte and wide character utilities):
	Add mbfile.

2005-08-16  Bruno Haible  <bruno@clisp.org>

	* modules/mbiter: New file.
	* MODULES.html.sh (Extended multibyte and wide character utilities):
	Add mbiter.

2005-08-16  Bruno Haible  <bruno@clisp.org>

	* modules/mbchar: New file.
	* MODULES.html.sh (Extended multibyte and wide character utilities):
	New section.

2005-08-16  Bruno Haible  <bruno@clisp.org>

	* modules/tls: New file.
	* MODULES.html.sh (Multithreading): Add tls.

2005-08-15  Simon Josefsson  <jas@extundo.com>

	* modules/ssize_t (License): Change to 'unlimited'.

	* gnulib-tool (sed_extract_prog): Recognize 'unlimited' license.

2005-08-12  Simon Josefsson  <jas@extundo.com>

	* MODULES.html.sh (Support for systems lacking POSIX:2001): Add
	ssize_t.

2005-08-12  Simon Josefsson  <jas@extundo.com>

	* modules/getndelim2: Use ssize_t module.
	* modules/getnline: Likewise.
	* modules/safe-read: Likewise.
	* modules/xreadlink: Likewise.

	* modules/ssize_t: New file.

2005-08-12  Simon Josefsson  <jas@extundo.com>

	* MODULES.html.sh (Extra functions based on ANSI C 89: Misc): Add
	readline, getdelim and check_version.
	(Support for systems lacking ISO C 99: Sizes of integer types):
	Add size_max.

2005-08-11  Simon Josefsson  <jas@extundo.com>

	* modules/readline: New file.

	* modules/strnlen (Files): Add strnlen.h.

2005-08-10  Simon Josefsson  <jas@extundo.com>

	* tests/test-iconvme.c: New file.

2005-08-08  Ralf Wildenhues <Ralf.Wildenhues@gmx.de>  (tiny change)

	* README: Typos.

2005-08-02  Simon Josefsson  <jas@extundo.com>

	* modules/getdelim: New file.

	* modules/getline: Rewrite, don't use getndelim2.

2005-07-16  Simon Josefsson  <jas@extundo.com>

	* modules/readline: New file.

2005-07-24  Bruno Haible  <bruno@clisp.org>

	* modules/visibility: New file.
	* MODULES.html.sh (Misc): Add visibility.

2005-07-22  Bruno Haible  <bruno@clisp.org>

	* modules/alloca-opt (Makefile.am): Remove explicit dependency on
	$(ALLOCA_H), redundant through BUILT_SOURCES.
	* modules/argz (Makefile.am): Remove explicit dependency on $(ARGZ_H),
	redundant through BUILT_SOURCES.
	* modules/byteswap (Makefile.am): Remove explicit dependency on
	$(BYTESWAP_H), redundant through BUILT_SOURCES.
	* modules/fnmatch (Makefile.am): Remove explicit dependency on
	$(FNMATCH_H), redundant through BUILT_SOURCES.
	* modules/getopt (Makefile.am): Remove explicit dependency on
	$(GETOPT_H), redundant through BUILT_SOURCES.
	* modules/glob (Makefile.am): Remove explicit dependency on $(GLOB_H),
	redundant through BUILT_SOURCES.
	* modules/poll (Makefile.am): Remove explicit dependency on $(POLL_H),
	redundant through BUILT_SOURCES.
	* modules/stdbool (Makefile.am): Remove explicit dependency on
	$(STDBOOL_H), redundant through BUILT_SOURCES.
	* modules/stdint (Makefile.am): Remove explicit dependency on
	$(STDINT_H), redundant through BUILT_SOURCES.
	* modules/sysexits (Makefile.am): Add $(SYSEXITS_H) to BUILT_SOURCES.
	Remove explicit dependency on $(SYSEXITS_H).
	Reported by Alexandre Duret-Lutz <adl@src.lip6.fr>.

2005-07-18  Bruno Haible  <bruno@clisp.org>

	* modules/lock: New file.
	* MODULES.html.sh (Multithreading): New section.

2005-07-15  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/xalloc (Depends-on): Add xalloc-die.
	* modules/xvasprintf (Depends-on): Add xalloc-die.

2005-07-14  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/argp (Depends-on): Remove unlocked-io.

2005-07-11  Simon Josefsson  <jas@extundo.com>

	* modules/size_max: New file.

	* modules/xsize: Depend on size_max module for size_max.m4.

2005-07-09  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_usage): Document option --avoid.
	(Command line options): Handle --avoid.
	(func_acceptable): New function.
	(func_modules_transitive_closure): Use it.

2005-07-11  Bruno Haible  <bruno@clisp.org>

	* MODULES.html.sh: Use shortcut URLs to the www.opengroup.org site.
	Reported by Jim Meyering.

2005-07-09  Sergey Poznyakoff  <gray@gnu.org.ua>

	* modules/argp (Depends-on): Add unlocked-io

2005-07-07  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/regex (Files): Add lib/regex_internal.c,
	lib/regex_internal.h, lib/regexec.c, lib/regcomp.c, m4/codeset.m4.
	(Depends-on): Add extensions.
	(Makefile.am): Remove lib_SOURCES; now done by m4 code.

2005-07-06  Paul Eggert  <eggert@cs.ucla.edu>

	Support programs like Emacs that use gnulib but not gettext.
	* MODULES.html.sh (Internationalization functions): Add gettext-h.
	* modules/gettext-h: New file.
	* modules/gettext (Files): Remove lib/gettext.h.
	(Depends-on): Add gettext-h.
	(Makefile.am): Remove lib_SOURCES.
	* modules/argmatch, modules/c-stack, modules/closeout:
	* modules/copy-file, modules/csharpcomp, modules/csharpexec:
	* modules/execute, modules/file-type, modules/getaddrinfo:
	* modules/getopt, modules/human, modules/javacomp:
	* modules/javaexec, modules/mkdir-p, modules/obstack:
	* modules/openat, modules/pagealign_alloc, modules/pipe:
	* modules/quotearg, modules/regex, modules/rpmatch:
	* modules/unicodeio, modules/userspec, modules/version-etc:
	* modules/wait-process, modules/xalloc-die, modules/xmemcoll:
	* modules/xsetenv:
	Depend on gettext-h, not gettext.

2005-07-05  Paul Eggert  <eggert@cs.ucla.edu>

	* gnulib-tool (func_import): Add support for 'public domain' license.
	* modules/alloca, modules/atexit, modules/memmove:
	Now public domain, not GPL.
	* modules/dup2, modules/getpagesize, modules/malloc, modules/memset:
	* modules/realloc, modules/strerror, modules/strtod:
	Now LGPL, not GPL.

2005-07-03  Paul Eggert  <eggert@cs.ucla.edu>

	Remove the dependency of the strftime module on the tzset module.
	* modules/strftime (Depends-on): Remove dependency on tzset.

2005-06-28  Jim Meyering  <jim@meyering.net>

	* check-module (find_included_lib_files): Hard-code another
	pair of exceptions: fts.c includes fts-cycle.c and unistd-safer.h
	but modules/fts-lgpl (correctly) does not list those files.

	* modules/canonicalize (Files): Add lib/pathmax.h.

2005-06-28  Simon Josefsson  <jas@extundo.com>

	* modules/check-version (Files): Add check-version.m4.

2005-06-25  Simon Josefsson  <jas@extundo.com>

	* modules/check-version: New file.

2005-06-24  Derek Price  <derek@ximbiot.com>
	and Bruno Haible  <bruno@clisp.org>

	Remove stat module & update lstat.
	* MODULES.html.sh (stat): Remove.
	* MODULES.html: Regenerated.
	* modules/lstat (Description): Correct function name.
	(Files): Add "lstat.h".
	(Depends-on): Remove stat, add xalloc, stat-macros.
	* modules/stat: Remove this file.
	(Include): Add "lstat.h", remove <sys/stat.h>.

2005-06-08  Bruno Haible  <bruno@clisp.org>

	* modules/csharpcomp: New file.
	* MODULES.html.sh (C#): Add csharpcomp.

2005-06-02  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from coreutils.
	Use "file name" when talking about file names, instead of "filename"
	or "path", as per the GNU coding standards.
	* MODULES.html.sh: mkdir-p renamed from makepath.
	filenamecat renamed from path-concat.
	* modules/filenamecat: Renamed from modules/path-concat.
	(Files): filenamecat.h and filenamecat.c renamed from
	path-concat.h and path-concat.c.
	(configure.ac): gl_FILE_NAME_CONCAT, not gl_PATH_CONCAT.
	(Include): filenamecat.h, not path-concat.h.
	* modules/mkdir-p: Renamed from modules/makepath.
	(Files): mkdir-p.h and mkdir-p.c renamed from makepath.h and makepath.c.
	(configure.ac): gl_MKDIR_PARENTS, not gl_MAKEPATH.
	(Include): mkdir-p.h, not makepath.h.

2005-06-01  Bruno Haible  <bruno@clisp.org>

	* modules/csharpexec: New file.
	* MODULES.html.sh (C#): New section.

2005-05-29  Derek Price  <derek@ximbiot.com>

	* MODULES.html.sh: Add glob to Enhanced POSIX.2001 section.
	* modules/glob: New file.
	* modules/getlogin_r: Add link to POSIX spec in description.

2005-05-27  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/fts (Files): Remove m4/inttypes-pri.m4.
	* modules/fts-lgpl (Depends-on): Remove gettext.

2005-05-25  Derek Price  <derek@ximbiot.com>

	* MODULES.html.sh: Add getlogin_r to POSIX.2001 support section.

2005-05-25  Derek Price  <derek@ximbiot.com>
	    Paul Eggert  <eggert@cs.ucla.edu>

	* modules/getlogin_r: New files.

2005-05-21  Jim Meyering  <jim@meyering.net>

	* modules/fts (Files): Add m4/inttypes-pri.m4.
	(Depends-on): Add lstat and remove gettext.  Alphabetize.

2005-05-18  Derek Price  <derek@ximbiot.com>

	* modules/minmax (Files): Add m4/minmax.m4.
	(configure.ac): Add gl_MINMAX.

2005-05-20  Paul Eggert  <eggert@cs.ucla.edu>

	* MODULES.html.sh (File system functions): Add fts, fts-lgpl.

2005-05-18  Jim Meyering  <jim@meyering.net>

	* modules/dirfd (License): Change to LGPL.  Most of the code
	is already in the public domain.

2005-05-14  Paul Eggert  <eggert@cs.ucla.edu>

	* config/srclist-update: Spell out "Street" in FSF postal
	mail address; this is the style the FSF seems to prefer.

	* build-aux/depcomp, build-aux/install-sh, build-aux/mdate-sh,
	build-aux/missing, build-aux/mkinstalldirs: Sync from Automake;
	this updates FSF postal mail address.

	Sync from coreutils.
	* modules/unlinkdir: New file.
	* modules/yesno (Depends-on): Add getline.
	* MODULES.html.sh (File system functions): Add unlinkdir.

2005-05-13  Paul Eggert  <eggert@cs.ucla.edu>

	* MODULES.html.sh, README, gnulib-tool, tests/test-base64.c,
	tests/test-memmem.c, tests/test-stpncpy.c:
	Update FSF postal mail address.

2005-05-12  Eric Blake  <ebb9@byu.net>  (tiny change)

	* gnulib-tool (func_import): Sort and uniquify recommended includes.

2005-05-12  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* modules/getdate (Makefile.am): Add getdate.c to EXTRA_DIST

2005-05-09  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/time_r (License): Change to LGPL.
	* modules/extensions (License): Change to LGPL.  Actually,
	the license is more permissive than that, but currently gnulib-tool
	doesn't know how to handle more-permissive licenses.

	* modules/stat-macros (Depends-on): Don't depend on stat-macros (!).
	Problem reported by Dave Love.

2005-05-09  Yoann Vandoorselaere <yoann.v@prelude-ids.com>
	    Bruno Haible  <bruno@clisp.org>

	* modules/inet_ntop: New file.
	* MODULES.html.sh (Support for systems lacking POSIX:2001): Add
	inet_ntop.

2005-05-06  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/argmatch (Depends-on): Add stdbool.
	* modules/backupfile (Depends-on): Likewise.
	* modules/chdir-long (Depends-on): Likewise.
	* modules/closeout (Depends-on): Likewise.
	* modules/cycle-check (Depends-on): Likewise.
	* modules/dirname (Depends-on): Likewise.
	* modules/fnmatch (Depends-on): Likewise.
	* modules/fsusage (Depends-on): Likewise.
	* modules/fwriteerror (Depends-on): Likewise.
	* modules/getcwd (Depends-on): Likewise.
	* modules/getloadavg (Depends-on): Likewise.
	* modules/hard-locale (Depends-on): Likewise.
	* modules/makepath (Depends-on): Likewise.
	* modules/mountlist (Depends-on): Likewise.
	* modules/nanosleep (Depends-on): Likewise.
	* modules/posixtm (Depends-on): Likewise.
	* modules/quotearg (Depends-on): Likewise.
	* modules/readtokens (Depends-on): Likewise.
	* modules/readtokens0 (Depends-on): Likewise.
	* modules/readutmp (Depends-on): Likewise.
	* modules/save-cwd (Depends-on): Likewise.
	* modules/strftime (Depends-on): Likewise.
	* modules/userspec (Depends-on): Likewise.
	* modules/utimecmp (Depends-on): Likewise.
	* modules/xgetcwd (Depends-on): Likewise.
	* modules/xnanosleep (Depends-on): Likewise.
	* modules/xstrtod (Depends-on): Likewise.
	* modules/yesno (Depends-on): Likewise.

2005-05-01  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/getloadavg (Depends-on): Add unistd-safer.
	* modules/getusershell (Depends-on): Add stdio-safer.
	* modules/lstat (Depends-on): Remove xalloc.
	* modules/mkstemp (Depends-on): Add stat-macros.
	* modules/modechange (Depends-on): Remove xstrtol.
	Add stat-macros, xalloc.
	* modules/save-cwd (Depends-on): Add unistd-safer.
	* modules/stdio-safer (Makefile.am): Remove lib_SOURCES.
	* modules/unistd-safer (Files): Add lib/fd-safer.c
	(Makefile.am): Remove lib_SOURCES.

	* MODULES.html.sh (Enhancements for POSIX:2001 functions):
	Remove fcntl-safer; unistd-safer supersedes it.

2005-05-01  Oskar Liljeblad  <oskar@osk.mine.nu>

	* modules/getcwd (Depends-on): Add extensions.
	* modules/openat (Depends-on): Likewise.

2005-05-01  Paul Eggert  <eggert@cs.ucla.edu>

	* MODULES.html.sh (Misc): Add byteswap.

2005-05-01  Oskar Liljeblad  <oskar@osk.mine.nu>

	* modules/byteswap: New file.

2005-04-21  Oskar Liljeblad  <oskar@osk.mine.nu>

	* gnulib-tool (Options): Add -s for --symlink/--symbolic.
	(func_ln_if_changed) Remove forcibly for no error message
	in case file does not exist.

2005-04-19  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool (Options): Make --symlink mean --symbolic.

2005-03-14  Simon Josefsson  <jas@extundo.com>

	* modules/getpass-gnu (Makefile.am): Don't mention getpass.h.

2005-04-15  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool: Rename --symlink to --symbolic.

2005-04-15  Oskar Liljeblad <oskar@osk.mine.nu>

	* gnulib-tool: Add -s, --symlink option to gnulib-tool to make
	symbolic links to files instead of copying/moving.  Add --aux-dir,
	specifying directory relative --dir where auxiliary build tools
	are placed.

2005-04-14  Bruno Haible  <bruno@clisp.org>

	* modules/allocsa (License): Change to LGPL.
	Requested by Yoann Vandoorselaere <yoann@prelude-ids.org>.

2005-03-26  Jim Meyering  <jim@meyering.net>

	* modules/check-include-files: Move to ../ and rename to...
	* check-module: ...this.

2005-03-25  Jim Meyering  <jim@meyering.net>

	* modules/xvasprintf (Files): Add xalloc.h.

2005-03-23  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/gettext (Files): config/config.rpath -> build-aux/config.rpath
	* modules/iconv (Files): Likewise.
	Problem reported by Oskar Liljeblad.

2005-03-23  Jim Meyering  <jim@meyering.net>

	* modules/check-include-files: New script to check for
	missing dependencies, multiple includes, etc.

	* modules/c-strtold (Depends-on): Add xalloc.
	* modules/c-strtod (Depends-on): Add xalloc.
	* modules/hash (Depends-on): Add xalloc.
	(Files): Remove lib/xalloc.h.

	* modules/gethrxtime (Files): Add lib/gethrxtime.h.
	* modules/userspec (Files): Add lib/inttostr.h.

2005-03-22  Jim Meyering  <jim@meyering.net>

	* modules/stat-macros: New module.
	* modules/canonicalize, modules/euidaccess, modules/file-type,
	* modules/filemode, modules/lchown, modules/makepath,
	* modules/rmdir, modules/stat: Depend on new stat-macros module
	rather than listing lib/stat-macros.h manually.
	Don't add stat-macros.h to lib_SOURCES or list it in Files: section.

2005-03-21  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/chdir-long (Depends-on): Add mempcpy.

	* modules/acl, modules/backupfile, modules/c-strtod,
	modules/c-strtold, modules/canon-host, modules/canonicalize,
	modules/cloexec, modules/closeout, modules/dirfd, modules/dirname,
	modules/exclude, modules/exitfail, modules/file-type,
	modules/filemode, modules/fpending, modules/fsusage, modules/getcwd,
	modules/getdate, modules/getline, modules/getpagesize,
	modules/getpass, modules/getugroups, modules/group-member,
	modules/hard-locale, modules/hash, modules/human, modules/idcache,
	modules/inttostr, modules/long-options, modules/makepath,
	modules/md5, modules/memcasecmp, modules/memcoll,
	modules/modechange, modules/mountlist, modules/path-concat,
	modules/pathmax, modules/physmem, modules/posixtm, modules/posixver,
	modules/quote, modules/quotearg, modules/readtokens, modules/readutmp,
	modules/safe-read, modules/safe-write, modules/same, modules/savedir,
	modules/settime, modules/sha1, modules/sig2str, modules/strdup,
	modules/strftime, modules/strndup, modules/strverscmp,
	modules/timespec, modules/unlocked-io, modules/userspec,
	modules/utimecmp, modules/utimens, modules/xalloc, modules/xstrtol,
	modules/yesno:
	Remove lib_SOURCES line from Makefile.am section, as this is now
	done automatically by the corresponding Autoconf macro.

2005-03-16  Bruno Haible  <bruno@clisp.org>

	* modules/stdint (Makefile.am): Use HAVE_LONG_LONG_64BIT instead of
	HAVE_LONGLONG_64BIT.

2005-03-04  Derek R. Price  <derek@ximbiot.com>

	* gnulib-tool (func_cp_if_changed, func_mv_if_changed): New functions.
	(func_import): Only replace files via --import when they have actually
	changed.

2005-03-03  Derek R. Price  <derek@ximbiot.com>
	    Bruno Haible  <bruno@clisp.org>

	* modules/pagealign_alloc: New file.
	* MODULES.html.sh (Memory management functions): Add pagealign_alloc.

2005-03-01  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/gettime (Makefile.am): Remove lib_SOURCES line.
	Reported by Derek Price.
	(Include): Add "timespec.h".

	* modules/xnanosleep (Depends-on): Remove gethrxtime.

2005-02-26  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/gethrxtime: New file.
	* modules/xnanosleep (Files): Add m4/xnanosleep.m4.
	(Depends-on): Add gethrxtime.
	(configure.ac): Add gl_XNANOSLEEP.
	(Makefile.am): Remove lib_SOURCES line.

2005-02-24  Bruno Haible  <bruno@clisp.org>

	* modules/gettext (Files): Add m4/glibc2.m4.

2005-02-22  Simon Josefsson  <jas@extundo.com>

	* modules/iconvme: New file.

	* MODULES.html.sh: Add iconvme.

2005-02-03  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/chdir-long (Depends-on): Add memrchr.
	* modules/memrchr (Files): Add lib/memrchr.h.
	(Include): "memrchr.h".

2005-01-28  Paul Eggert  <eggert@cs.ucla.edu>

	Sync from coreutils.
	* modules/getloadavg (Files): Remove m4/getloadavg.m4.
	(Depends-on): Add c-strtod.
	(configure.ac): Replace gl_FUNC_GETLOADAVG with AC_FUNC_GETLOADAVG.

2005-01-28  Bruno Haible  <bruno@clisp.org>

	* modules/javacomp: New file.
	* MODULES.html.sh (Java): Add javacomp.

2005-01-26  Bruno Haible  <bruno@clisp.org>

	* modules/javaexec: New file.
	* MODULES.html.sh (Java): Add javaexec.

2005-01-24  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* modules/lchown (Depends-on): Remove lchown.h

2005-01-21  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/chdir-long (Depends-on): Remove mempcpy.

2005-01-21  Bruno Haible  <bruno@clisp.org>

	* modules/classpath: New file.
	* MODULES.html.sh (Java): Add classpath.

2005-01-20  Paul Eggert  <eggert@cs.ucla.edu>

	* MODULES.html.sh (Command-line arguments): Add version-etc-fsf.

2005-01-20  Simon Josefsson  <jas@extundo.com>

	* modules/version-etc-fsf: New file.

2005-01-19  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/mempcpy (Makefile.am): Remove mention of mempcpy.h;
	AC_LIBSOURCES now does this.
	* MODULES.html.sh (Sizes of integer types <limits.h>): New element,
	with new ullong_max module.

2005-01-19  Bruno Haible  <bruno@clisp.org>

	* modules/sh-quote: New file.
	* MODULES.html.sh (Executing programs): Add sh-quote.

2005-01-18  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/ullong_max: New file.

	* modules/chdir-long, modules/openat: New files.
	* modules/save-cwd (Depends-on): Depend on chdir-long.
	(Makefile.am): Remove lib_SOURCES; now handled by AC_LIBSOURCES.

2005-01-11  Sergey Poznyakoff  <gray@Mirddin.farlep.net>

	* modules/argp: Depend on vsnprintf

2005-01-10  Jim Meyering  <jim@meyering.net>

	* modules/closeout (Depends-on): Add atexit.

2005-01-01  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool: Print #include directives when --import'ing.

2004-12-28  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/error (Depends-on): Remove gettext.

2004-12-28  Simon Josefsson  <jas@extundo.com>

	* tests/test-base64.c: Include required header files.  Remove
	unused variables.

2004-12-23  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/getdate (Depends-on): Remove alloca-opt.

2004-12-19  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/regex (lib_SOURCES): Remove regex.c, undoing previous
	(2004-10-24) change.  Apparently this was a false alarm.

	* modules/getdate: Depend on alloca-opt, not alloca.

2004-12-18  Simon Josefsson  <jas@extundo.com>

	* modules/alloca: Depend on alloca-opt, instead of duplicating it.

2004-12-16  Simon Josefsson  <jas@extundo.com>

	* tests/test-base64.c: Add license.

2004-12-15  Stepan Kasal  <address@hidden>

	* gnulib-tool (func_emit_lib_Makefile_am): Shorten a long sed command.

2004-12-12  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/getcwd (Files): Add m4/d-ino.m4.
	Suggested by Mark D. Baushke.

2004-12-04  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/hard-locale (Depends-on): Add strdup.

2004-12-04  Simon Josefsson  <jas@extundo.com>

	* modules/getaddrinfo (License): Add LGPL, reported by Yoann
	Vandoorselaere <yoann@prelude-ids.org>.

2004-11-30  Simon Josefsson  <jas@extundo.com>

	* MODULES.html.sh (Extra functions based on ANSI C 89): Add
	base64.

	* tests/test-base64.c: New file.

	* modules/base64: New file.

2004-11-30  Simon Josefsson  <jas@extundo.com>

	* modules/restrict (License): Change to LGPL.

2004-11-26  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/getcwd (Files): Add lib/getcwd.h, m4/getcwd.m4.
	(Depends-on): Remove pathmax, same.  Add mempcpy.
	(configure.ac): GL_FUNC_GETCWD_PATH_MAX -> gl_FUNC_GETCWD.
	(Makefile.am): Append getcwd.h to lib_SOURCES.
	(Include): Add getcwd.h.
	(Maintainer): Change from Jim Meyering to "all, glibc",
	since getdate now uses intended-for-glibc code.
	* modules/xgetcwd (Files): Remove m4/getcwd.m4.
	(Depends-on): Depend on getcwd.  Do not depend on pathmax.

2004-11-22  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/canonicalize (Depends-on): Add xreadlink.
	Problem reported by James Youngman.

2004-11-16  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/canon-host (Depends-on): Add strdup.

2004-11-16  Jim Meyering  <jim@meyering.net>

	* modules/closeout (Depends-on): Add fpending.

2004-11-11  Simon Josefsson  <jas@extundo.com>

	* modules/strtok_r: New file.

	* MODULES.html.sh (Support for systems lacking POSIX:2001): Add
	strtok_r.

2004-11-08  Simon Josefsson  <jas@extundo.com>

	* MODULES.html.sh (Support for systems lacking POSIX:2001): Add
	getaddrinfo.

	* modules/getaddrinfo: New file.

2004-11-10  Jim Meyering  <jim@meyering.net>

	* modules/closeout (Depends-on): Remove fpending.

2004-11-04  Bruno Haible  <bruno@clisp.org>

	* modules/allocsa (Files): Add lib/allocsa.valgrind.
	(Makefile.am): Distribute it.

2004-10-29  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/getdate (Files): Add doc/getdate.texi.
	(Depends-on): Add setenv, xalloc.

2004-10-24  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/regex (lib_SOURCES): Add regex.c.
	Reported by James Youngman in
	<http://lists.gnu.org/archive/html/bug-gnulib/2004-10/msg00199.html>.

2004-10-17  Paul Eggert  <eggert@cs.ucla.edu>

	* gnulib-tool (func_emit_lib_Makefile_am): Fix typo: a $ was
	missing.  Problem reported by James Youngman.

2004-10-16  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool: Fix comments.  Fix parse problem.
	(func_emit_lib_Makefile_am): Don't hard code a in libgl_a_SOURCES.

2004-10-15  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_import): Let gl_INIT define LTALLOCA when needed.

2004-10-15  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_emit_lib_Makefile_am): Add markers to separate
	the portions belonging to each module.
	Suggested by Derek Robert Price <derek@ximbiot.com>.

2004-10-15  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool: Untabify. Initialize supplied_libname.
	(func_usage): More homogenous output.
	(func_modules_transitive_closure, func_modules_to_filelist,
	func_emit_lib_Makefile_am): New functions.
	(func_import): New function, extracted from big case statement. Use
	func_get_license, func_modules_transitive_closure,
	func_modules_to_filelist, func_emit_lib_Makefile_am. Initialize
	opt_lgpl. Don't use test -a, as it's not portable.
	(func_create_testdir): Use func_modules_transitive_closure,
	func_modules_to_filelist, func_emit_lib_Makefile_am.

2004-10-11  Bruno Haible  <bruno@clisp.org>

	* MODULES.html.sh (Support for systems lacking ISO C 99): Add
	vsnprintf.

2004-10-11  Yoann Vandoorselaere  <yoann@prelude-ids.org>

	* modules/vsnprintf: New file.

2004-10-04  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/xalloc (Files, Makefile.am): Remove xstrdup.c.

	* modules/argmatch, modules/argp, modules/closeout, modules/error,
	modules/exclude, modules/getdate, modules/getline,
	modules/getndelim2, modules/getpass, modules/getpass-gnu,
	modules/getusershell, modules/linebuffer, modules/md5,
	modules/mountlist, modules/posixtm, modules/readtokens,
	modules/readutmp, modules/regex, modules/sha1,
	modules/version-etc, modules/yesno:
	Remove dependency on unlocked-io.

2004-10-04  Bruno Haible  <bruno@clisp.org>

	* modules/README: New file.
	* gnulib-tool (func_all_modules, func_verify_module): modules/README is
	not a module.

2004-10-04  Simon Josefsson  <jas@extundo.com>

	* modules/memmem: New file.
	* tests/test-memmem.c: New file.
	* MODULES.html.sh (Extra functions based on ANSI C 89): Add memmem.

2004-10-01  Bruno Haible  <bruno@clisp.org>

	* MODULES.html.sh: Add strsep.

2004-10-01  Yoann Vandoorselaere <yoann@prelude-ids.org>

	* modules/strsep: New file.

2004-09-30  Paul Eggert  <eggert@cs.ucla.edu>

	* MODULES.html.sh (Support for systems lacking ISO C 99): Add snprintf.

2004-09-30  Simon Josefsson  <jas@extundo.com>

	* modules/snprintf: New file.

2004-09-30  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/argp (Maintainer): Replace Simon Josefsson
	by Sergey Poznyakoff.

2004-10-01  Simon Josefsson  <jas@extundo.com>

	* MODULES.html.sh (Extra functions based on ANSI C 89): Add
	memmem.

	* tests/test-memmem.c: New file.

	* modules/memmem: New file.

2004-09-29  Bruno Haible  <bruno@clisp.org>

	* modules/alloca-opt: New file, derived from modules/alloca.
	* modules/allocsa: Depend on alloca-opt instead of alloca.
	* modules/setenv: Likewise.
	* modules/vasnprintf: Likewise.
	* MODULES.html.sh: Add alloca-opt.

2004-09-28  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/dummy: Change license to LGPL.

2004-09-29  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool: New parameter --lgpl, to asseert that modules are
	LGPL, and to replace license template from GPL to LGPL.

2004-09-24  Simon Josefsson  <jas@extundo.com>

	* modules/minmax (License): Change from GPL to LGPL.

2004-09-23  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool (--import): Typo.

2004-09-21  Simon Josefsson  <jas@extundo.com>

	* MODULES.html.sh (Support for systems lacking POSIX:2001): Add
	snprintf.

	* modules/snprintf: New file.

2004-09-05  Simon Josefsson  <jas@extundo.com>

	* modules/getaddrinfo: Add.

2004-09-23  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool (--import): Make sure *.m4 end up in m4/ by default.

2004-09-22  Bruno Haible  <bruno@clisp.org>

	* modules/*: Add 'License' field.
	* gnulib-tool: Accept --extract-license option.
	(func_get_license): New function.

2004-09-21  Bruno Haible  <bruno@clisp.org>

	* modules/vasnprintf (Files): Add m4/stdint_h.m4, m4/inttypes_h.m4.
	Reported by Simon Josefsson.

2004-09-20  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/inttostr (Files): Add m4/longlong.m4, since it uses
	gl_AC_TYPE_LONG_LONG.

2004-09-18  Simon Josefsson  <jas@extundo.com>
	and  Paul Eggert  <eggert@cs.ucla.edu>

	* gnulib-tool: Replace various ad-hoc automake/autoconf/aclocal
	calls with autoreconf.  Define GL_LIB.

2004-09-09  Karl Berry  <karl@gnu.org>

	* regex.[ch]: delete from the root.  These were supposed to be
		synced with emacs cvs, but this has not happened for about
		a year, and anyway nothing else uses emacs regex.[ch].
		bug-gnulib mail from Jeff Bailey, 9 Sep 2004 15:49:24 -0700.
		lib/regex[.ch] is untouched.

2004-09-09  Bruno Haible  <bruno@clisp.org>

	* modules/vasnprintf (Files): Add m4/eoverflow.m4.

2004-09-08  Bruno Haible  <bruno@clisp.org>
	    Oskar Liljeblad  <oskar@osk.mine.nu>

	* modules/stdint: New file.
	* MODULES.html.sh (Support for systems lacking ISO C 99): Add stdint.

2004-09-08  Oskar Liljeblad  <oskar@osk.mine.nu>

	* modules/xvasprintf: New file.
	* MODULES.html.sh (Extra functions based on ANSI C 89): Add vasprintf.

2004-08-19  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/userspec: Don't depend on alloca.

2004-08-17  Paul Eggert  <eggert@cs.ucla.edu>

	* MODULES.html.sh: Add xalloc-die, c-strtod, c-strtold, raise,
	readtokens0, getcwd, fcntl-safer, canonicalize, cycle-check,
	utimecmp, utimens, xnanosleep.  Rename sha to sha1.

2004-08-16  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool: Use sed instead of autoconf --trace, inspired by
	libtoolize behaviour by "Gary V. Vaughan" <gary@gnu.org>.
	Add --dry-run for --import.
	Let user provided command line parameters override configure.ac
	settings.

2004-08-12  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/argp (Files): Add m4/unlocked-io.m4.
	(Depends-on): Add extensions.

2004-08-12  Simon Josefsson  <jas@extundo.com>

	* gnulib-tool: Add --source-base, --m4-base, --libtool options.
	Change default library name from libfoo to libgnu.
	Now, if you have a configure.ac that says:
		gl_SOURCE_BASE(gl)
		gl_M4_BASE(gl/m4)
		gl_MODULES(error getopt etcetera)
		gl_INIT
	you can import all you need by running:
		../gnulib/gnulib-tool --import

	* modules/getopt (Files): Rename getopt.h to getopt_.h.
	(Makefile.am): Rewrite, use logic from argz.
	(Include): Use <getopt.h> instead of "getopt.h".

2004-08-11  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/obstack (Files): Add m4/inttypes_h.m4, m4/stdint_h.m4,
	m4/uintmax_t.m4.

2004-08-09  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/xalloc-die: New file.
	* modules/xalloc: Remove dependencies on error, gettext, exitfail.

	* modules/md5 (Files): Add m4/uint32_t.m4.
	* modules/sha1: Renamed from modules/sha.
	(Files):
	Rename lib/sha.h to lib/sha1.h.
	Rename lib/sha.c to lib/sha1.c.
	Rename m4/sha.m4 to m4/sha1.m4.
	(lib_SOURCES): Likewise.
	(configure.ac): Rename gl_SHA to gl_SHA1.
	(Include): sha.h -> sha1.h.

2004-08-08  Simon Josefsson  <jas@extundo.com>

	* modules/xgethostname (Depends-on): Remove exit and error (not
	used).

	* modules/getpass-gnu: Add getpass.h.
	(Depends-on): Add stdbool.
	* modules/getpass: Add getpass.h.

2004-08-06  Paul Eggert  <eggert@cs.ucla.edu>

	More merge from coreutils.
	* modules/raise, modules/readtokens0, modules/utimens,
	modules/utimecmp, module/xnanosleep: New files.
	* modules/strftime: Add lib/strftime.h.
	Change include from <time.h> to "strftime.h".
	* modules/yesno: Add lib/yesno.h.
	* modules/backupfile: Remove lib/addext.c.
	* modules/euidaccess: Add stat-macros.h.
	* modules/canonicalize, modules/euidaccess,
	modules/filemode, modules/lchown, modules/makepath,
	modules/rmdir, modules/stat: Likewise.

2004-08-03  Simon Josefsson  <jas@extundo.com>

	* modules/progname (Depends-on): Don't depend on stdbool.

2004-08-02  Simon Josefsson  <jas@extundo.com>

	* modules/getsubopt: New file.
	* MODULES.html.sh (Support for systems lacking POSIX:2001): Add
	getsubopt.

2004-08-05  Paul Eggert  <eggert@cs.ucla.edu>

	Merge from coreutils.
	* modules/c-strtod, modules/c-strtold, modules/canonicalize,
	modules/cycle-check, modules/fcntl-safer, modules/getcwd: New files.
	* modules/path-concat: Don't depend on strdup.

2004-08-03  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/fatal: Remove, as the "fatal" module wasn't used or working.
	* MODULES.html.sh (func_all_modules): Remove fatal.

2004-07-19  Bruno Haible  <bruno@clisp.org>

	* MODULES.html.sh (func_all_modules): Add dummy.

2004-07-16  Simon Josefsson  <jas@extundo.com>

	* modules/dummy: New file.

2004-07-09  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/chown (Files): Add lib/fchown-stub.c, since
	gl_PREREQ_CHOWN invokes AC_LIBOBJ(fchown-stub).

2004-06-22  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/argz: Omit "#include".

	* MODULES.html.sh (func_all_modules): Add calloc, to match
	2004-06-01 addition of calloc module.

2004-06-22  Gary V. Vaughan  <gary@gnu.org>

	* modules/argz: New file.
	* MODULES.html.sh (func_all_modules): Add argz.

2004-06-12  Jim Meyering  <jim@meyering.net>
	and  Paul Eggert  <eggert@cs.ucla.edu>

	* modules/hash (Files): Add lib/xalloc.h.
	* modules/pipe (Depends-on): Add wait-process.
	* modules/stat (Depends-on): Add xalloc.
	* modules/userspec (Files): Add lib/userspec.h.
	* modules/xstrto

	Upgrade from gettext-0.13.
	* modules/gettext (Files): Add m4/intmax.m4, m4/longdouble.m4,
	m4/longlong.m4, m4/printf-posix.m4, m4/signed.m4, m4/size_max.m4,
	m4/wchar_t.m4, m4/wint_t.m4, m4/xsize.m4.

2003-11-25  Bruno Haible  <bruno@clisp.org>

	* modules/vasnprintf (Files): Remove m4/ssize_t.m4.

2003-11-24  Paul Eggert  <eggert@twinsun.com>

	* modules/alloca: Remove dependency on xalloc.

2003-11-17  Paul Eggert  <eggert@twinsun.com>

	* README: Mention that S+T cannot overflow if S is the size of
	an existing object and T is sufficiently small.

2003-11-17  Bruno Haible  <bruno@clisp.org>

	* modules/vasnprintf (Files): Add m4/ssize_t.m4.
	(Depends-on): Add xsize.

2003-11-12  Paul Eggert  <eggert@twinsun.com>

	* modules/xalloc (Files): Undo latest change, since xalloc.h
	no longer needs SIZE_MAX or PTRDIFF_MAX.

2003-11-11  Bruno Haible  <bruno@clisp.org>

	* modules/xsize (Files): Add m4/size_max.m4.
	* modules/xalloc (Files): Add m4/size_max.m4, m4/ptrdiff_max.m4.

2003-11-04  Bruno Haible  <bruno@clisp.org>

	* modules/xsize: New file.
	* modules/linebreak: Depend on xsize.
	* MODULES.html.sh (func_all_modules): Add xsize.

2003-11-04  Jim Meyering  <jim@meyering.net>

	* modules/sysexits: Use the `$(VAR)' notation for AC_SUBST'd
	variable names, rather than @VAR@.
	* modules/poll: Likewise.

2003-11-03  Jim Meyering  <jim@meyering.net>

	* modules/userspec (lib_SOURCES): Add userspec.h.
	(Include): Add "userspec.h".
	Improve description.

2003-10-29  Paul Eggert  <eggert@twinsun.com>

	* modules/group-member: Depend on stdbool.

2003-10-20  Bruno Haible  <bruno@clisp.org>

	* modules/wait-process: New file.
	* MODULES.html.sh (func_all_modules): Add wait-process.

2003-10-16  Paul Eggert  <eggert@twinsun.com>

	* README: Mention that gnulib assumes that (foo *) NULL + 0 == NULL.

2003-10-14  Bruno Haible  <bruno@clisp.org>

	* modules/fatal-signal: Add m4/sig_atomic_t.m4 to file list.

2003-10-12  Paul Eggert  <eggert@twinsun.com>

	* modules/xalloc: Do not depend on 'exit'.  Depend on 'stdbool'.
	Change maintainer from Bruno Haible to 'all'.

2003-10-10  Simon Josefsson  <jas@extundo.com>

	* modules/argp (Depends-on): Add restrict and strcase.

2003-10-08  Paul Eggert  <eggert@twinsun.com>

	* modules/getpass: Depend on stdbool.

2003-10-06  Bruno Haible  <bruno@clisp.org>

	* modules/version-etc-2: Remove file.
	* MODULES.html.sh (func_all_modules): Remove version-etc-2.

2003-10-06  Bruno Haible  <bruno@clisp.org>

	* modules/fatal-signal: New file.
	* MODULES.html.sh (func_all_modules): Add fatal-signal.

2003-10-05  Paul Eggert  <eggert@twinsun.com>

	* README: Rework advice for preventing empty .o files.
	Don't recommend ELIDE constructs.  Recommend <stddef.h>,
	not <sys/types.h>.

2003-10-02  Bruno Haible  <bruno@clisp.org>

	* modules/lchown (Include): Add lchown.h.
	* modules/time_r (Include): Use "..." syntax.
	* modules/xgetdomainname (Include): Add xgetdomainname.h.

2003-10-01  Simon Josefsson  <jas@extundo.com>

	* MODULES.html.sh (func_all_modules): Move gethostname from section
	'based on' to section 'lacking' POSIX:2001.

2003-09-27  Oskar Liljeblad  <oskar@osk.mine.nu>

	Trivial fixes to Makefile.am parts of module listings.
	* modules/strstr: Append strstr.h to lib_SOURCES.
	* modules/strcase: Likewise, for strcase.h.

2003-09-27  Paul Eggert  <eggert@twinsun.com>

	* modules/free: New file.

2003-09-25  Bruno Haible  <bruno@clisp.org>

	* modules/version-etc-2: New file, from modules/version-etc with
	modifications.
	* MODULES.html.sh (func_all_modules): Add version-etc-2.

2003-09-25  Simon Josefsson  <jas@extundo.com>
	    Bruno Haible  <bruno@clisp.org>

	* modules/getdomainname: New file.
	* modules/xgetdomainname: New file.
	* MODULES.html.sh (func_all_modules): Add getdomainname, xgetdomainname.

2003-09-24  Paul Eggert  <eggert@twinsun.com>

	* README: Document assumptions that 'int' is at least 32 bits
	wide, that integer arithmetic is 2's complement without overflow,
	that there are no holes in integer values, that adding sizes of
	two nonoverlapping objects can't overflow, and that all-bits-zero
	yields scalar zero.  Fix spelling and capitalization typos.

2003-09-24  Simon Josefsson  <jas@extundo.com>

	* modules/xgethostname: Add xgethostname.h.

2003-09-17  Paul Eggert  <eggert@twinsun.com>

	* gnulib-tool: Use "test -h", not "test -L", for portability
	to Solaris 8 /bin/sh.  (This bug is fixed in Solaris 9.)
	(tags_regexp): Remove, since \| doesn't conform to POSIX.
	(sed_extract_prog): Issue s commands one-by-one, rather than
	using \| in one s command.

2003-09-16  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_create_testdir): Warn about duplicated
	dependencies.

2003-09-15  Paul Eggert  <eggert@twinsun.com>

	* modules/argmatch, modules/fatal, modules/obstack,
	modules/xalloc, modules/xgethostname: Sort dependencies by
	importance, not alphabetically.

2003-09-14  Bruno Haible  <bruno@clisp.org>

	* modules/fwriteerror: New file.
	* MODULES.html.sh (func_all_modules): Add fwriteerror.

2003-09-12  Paul Eggert  <eggert@twinsun.com>

	* modules/argmatch, modules/exitfail, modules/fatal, modules/obstack,
	modules/xgethostname, modules/xalloc: Depend on exit.

2003-09-09  Paul Eggert  <eggert@twinsun.com>

	* README: New section: portability guidelines.

2003-09-07  Paul Eggert  <eggert@twinsun.com>

	* modules/time_r: Depend on 'restrict'.  Fix from Simon Josefsson in
	<http://mail.gnu.org/archive/html/bug-gnulib/2003-09/msg00028.html>.

2003-09-06  Paul Eggert  <eggert@twinsun.com>

	* MODULES.html.sh (func_all_modules): Add time_r.
	* modules/time_r: New file.
	* modules/mktime, modules/strftime, modules/timegm: Depend on time_r.
	* modules/timegm: Depend on mktime.  Change maintainer to "all, glibc".

2003-08-31  Simon Josefsson  <jas@extundo.com>

	* modules/timegm: New file.
	* MODULES.html.sh (func_all_modules): Add timegm.

2003-08-22  Simon Josefsson  <jas@extundo.com>

	* modules/strndup (Makefile.am): Add strndup.h to lib_SOURCES.

2003-08-20  Bruno Haible  <bruno@clisp.org>

	* modules/progname: New file.
	* MODULES.html.sh (func_all_modules): Add progname.

2003-08-18  Paul Eggert  <eggert@twinsun.com>

	* modules/stdbool: Add BUILT_SOURCES.  Prefer $@ to target name
	in makefile rules.

2003-08-17  Simon Josefsson  <jas@extundo.com>

	* modules/argp: Fix autoconf macro name. Add more dependencies.

2003-08-17  Simon Josefsson  <jas@extundo.com>

	* modules/xstrndup: New file.
	* MODULES.html.sh (func_all_modules): Add xstrndup.

2003-08-17  Bruno Haible  <bruno@clisp.org>

	* modules/strndup (Files, Include): Add lib/strndup.h.

2003-08-17  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_create_testdir): Handle gl_USE_SYSTEM_EXTENSIONS
	like AC_GNU_SOURCE.
	* modules/extensions (configure.ac): Comment out the invocation of
	gl_USE_SYSTEM_EXTENSIONS.

2003-08-17  Bruno Haible  <bruno@clisp.org>

	* modules/euidaccess (Files): Add lib/euidaccess.h.

2003-08-16  Paul Eggert  <eggert@twinsun.com>

	Document merge from coreutils.
	* modules/alloca: Append $(ALLOCA_H) to BUILT_SOURCES.
	* modules/fnmatch: Append $(FNMATCH_H) to BUILT_SOURCES.
	* modules/utime: Add m4/utimes-null.m4.

2003-08-15  Paul Eggert  <eggert@twinsun.com>

	Document merge from coreutils.
	* modules/userspec: Depend on posixver.
	* modules/strftime: Depend on tzset.

2003-08-14  Jim Meyering  <jim@meyering.net>

	Merges from coreutils.
	* modules/fnmatch: Use the `$(FNMATCH_H)' notation for AC_REPLACED
	variable names, rather than @FNMATCH_H@.
	* modules/alloca: Likewise for $(ALLOCA_H).

	* modules/fnmatch (fnmatch.h): Use `$@' in the commands, in place of
	the three copies of the literal target, `fnmatch.h'.
	* modules/alloca (alloca.h): Likewise.

2003-08-14  Paul Eggert  <eggert@twinsun.com>

	* modules/tzset: New file.

2003-08-12  Paul Eggert  <eggert@twinsun.com>

	Merge from coreutils.
	* modules/euidaccess: Add lib_SOURCES, include for new
	file euidaccess.h

2003-08-11  Paul Eggert  <eggert@twinsun.com>

	* modules/gnu-source, m4/gnu-source.m4:
	Remove; we're assuming Autoconf 2.54 or later now.
	Suggested by Bruno Haible.
	* MODULES.html.sh (func_all_modules): Remove gnu-source.

2003-08-08  Paul Eggert  <eggert@twinsun.com>

	* MODULES.html.sh (func_all_modules): Add extensions, gnu-source.
	* modules/extensions, modules/gnu-source: New files.
	* modules/timespec, modules/unlocked-io: Depend on extensions.

2003-08-07 Paul Eggert  <eggert@twinsun.com>

	* modules/restrict: New file.
	* MODULES.html.sh (func_all_modules): Add restrict.
	* modules/regex: Depend on restrict.

2003-08-07  Bruno Haible  <bruno@clisp.org>

	* modules/getndelim2 (Makefile.am): Add the files to EXTRA_DIST, not
	lib_SOURCES, because getndelim2.m4 now uses AC_LIBOBJ(getndelim2).

2003-08-05  Paul Eggert  <eggert@twinsun.com>

	* MODULES.html.sh (func_all_modules): Remove bumpalloc.
	* modules/bumpalloc: Remove.

2003-07-31  Bruno Haible  <bruno@clisp.org>

	* modules/getpass-gnu: New file.
	* MODULES.html.sh (func_all_modules): Add getpass-gnu.

2003-07-22  Paul Eggert  <eggert@twinsun.com>

	* modules/xalloc (Depends-on): Add exitfail.
	* modules/xmemcoll: Likewise.

2003-07-20  Jim Meyering  <jim@meyering.net>

	* modules/closeout (Depends-on): Add exitfail.
	Suggestion from Bruno Haible.

2003-07-18  Bruno Haible  <bruno@clisp.org>

	* modules/getndelim2: New file.
	* modules/getline: Share files with module getndelim2.
	* modules/getnline: Depend on getndelim2 instead of sharing files with
	it. Add getnline.c to lib_SOURCES.
	* MODULES.html.sh (func_all_modules): Add getndelim2.

2003-07-17  Bruno Haible  <bruno@clisp.org>

	* modules/getnline: New file.
	* modules/getline: Add lib/getndelim2.c to source file list.
	* MODULES.html.sh (func_all_modules): Add getnline.

2003-07-17  Bruno Haible  <bruno@clisp.org>

	* configure.in: Remove file.
	* Makefile.in: Remove file.

2003-07-17  Bruno Haible  <bruno@clisp.org>

	* MODULES.html.sh: Put the </BODY> right before </HTML>.

2003-07-16  Jim Meyering  <jim@meyering.net>

	* modules/save-cwd: Depend on xgetcwd.  From Derek Price.

2003-07-15  Jim Meyering  <jim@meyering.net>

	* modules/save-cwd: Don't depend on error.  From Derek Price.

2003-07-14  Simon Josefsson  <jas@extundo.com>

	* modules/mempcpy: New file.
	* MODULES.html.sh (func_all_modules): Add mempcpy.

2003-07-14  Paul Eggert  <eggert@twinsun.com>

	* modules/getdate, modules/posixtm: Depend on mktime.

2003-07-10  Simon Josefsson  <jas@extundo.com>

	* modules/strchrnul (Makefile.am): Add strchrnul.h.

2003-06-26  Bruno Haible  <bruno@clisp.org>

	* modules/human: Depend on module stdbool.

2003-06-25  Bruno Haible  <bruno@clisp.org>

	* modules/readlink: New file.
	* modules/xreadlink: Depend on it.
	* MODULES.html.sh (func_all_modules): Add readlink.

2003-06-22  Bruno Haible  <bruno@clisp.org>

	* modules/safe-read: Add m4/ssize_t.m4.
	* modules/xreadlink: Add m4/ssize_t.m4.

2003-06-11  Simon Josefsson  <jas@extundo.com>

	* modules/sysexits: New file.
	* MODULES.html.sh (func_all_modules): Add sysexits.

2003-06-10  Bruno Haible  <bruno@clisp.org>

	* MODULES.html.sh (func_all_modules): Add strchrnul and argp.

2003-06-10  Simon Josefsson  <jas@extundo.com>

	* modules/strchrnul: New file.

2003-06-10  Simon Josefsson  <jas@extundo.com>

	* modules/argp: New file.

2003-06-07  Bruno Haible  <bruno@clisp.org>

	* modules/poll (Makefile.am): Use explicit creation rule for poll.h, to
	avoid AC_CONFIG_LINKS.
	* modules/fnmatch (Makefile.am): Use explicit creation rule for
	fnmatch.h, to avoid AC_CONFIG_LINKS.
	* modules/alloca (Makefile.am): Make creation of alloca.h Ctrl-C safe.

2003-06-07  Jim Meyering  <jim@meyering.net>

	* modules/strtod: Use $(...) notation, not @...@ for
	AC_REPLACE'd variables.
	* modules/localcharset: Likewise.

2003-06-06  Jim Meyering  <jim@meyering.net>
	    Bruno Haible  <bruno@clisp.org>

	* modules/stdbool: Reflect renaming: stdbool.h.in -> stdbool_.h.
	Adjust Makefile.am snippet not to redirect directly to target.
	Use $(STDBOOL_H) notation, not @STDBOOL_H@ for AC_REPLACE'd variables.

2003-05-30  Bruno Haible  <bruno@clisp.org>

	* modules/gettext: Add files m4/nls.m4 and m4/po.m4.
	* config/config.rpath: Upgrade to gettext-0.12.1.

2003-05-22  Karl Berry  <karl@gnu.org>

	* gnulib-tool (func_usage): =LIBRARY not =libRARY in help msg.

2003-05-09  Bruno Haible  <bruno@clisp.org>

	* modules/error: Add m4/strerror_r.m4 to file list.

2003-04-10  Bruno Haible  <bruno@clisp.org>

	* modules/findprog: New file.
	* MODULES.html.sh (func_all_modules): Add it.

2003-04-04  Bruno Haible  <bruno@clisp.org>

	* modules/linebreak: New file.
	* MODULES.html.sh (func_all_modules): Add it.

2003-04-03  Bruno Haible  <bruno@clisp.org>

	* modules/utf8-ucs4: New file.
	* modules/utf16-ucs4: New file.
	* modules/ucs4-utf8: New file.
	* modules/ucs4-utf16: New file.
	* MODULES.html.sh (func_all_modules): Add them.

2003-04-02  Bruno Haible  <bruno@clisp.org>

	* modules/binary-io: New file.
	* MODULES.html.sh (func_all_modules): Add it.

2003-04-01  Bruno Haible  <bruno@clisp.org>

	* modules/pathname: New file.
	* MODULES.html.sh (func_all_modules): Add it.

2003-03-28  Bruno Haible  <bruno@clisp.org>

	* modules/copy-file: New file.
	* MODULES.html.sh (func_all_modules): Add it.

2003-02-20  Bruno Haible  <bruno@clisp.org>

	* MODULES.html.sh (func_all_modules): Add poll.

2003-02-19  Paolo Bonzino  <bonzini@gnu.org>

	* modules/poll: New file.

2003-02-18  Bruno Haible  <bruno@clisp.org>

	* MODULES.html.sh (func_all_modules): Add mathl.

2003-02-18  Paolo Bonzino  <bonzini@gnu.org>

	* modules/mathl: New file.

2003-02-17  Bruno Haible  <bruno@clisp.org>

	* modules/mkdtemp: New module.
	* MODULES.html.sh (func_all_modules): Add it.

2003-01-30  Bruno Haible  <bruno@clisp.org>

	* modules/vasnprintf, modules/vasprintf: New modules.
	* MODULES.html.sh (func_all_modules): Add them.

2003-01-29  Bruno Haible  <bruno@clisp.org>

	* modules/stpncpy: New module.
	* MODULES.html.sh (func_all_modules): Add it.

2003-01-28  Bruno Haible  <bruno@clisp.org>

	* modules/c-ctype: New module.
	* MODULES.html.sh (func_all_modules): Add it.

2003-01-27  Bruno Haible  <bruno@clisp.org>

	* modules/xsetenv: New module.
	* MODULES.html.sh (func_all_modules): Add it.

2003-01-23  Bruno Haible  <bruno@clisp.org>

	* modules/minmax: New module.
	* MODULES.html.sh (func_all_modules): Add it.

2003-01-22  Bruno Haible  <bruno@clisp.org>

	* modules/exit: New module.
	* MODULES.html.sh (func_all_modules): Add it.

2003-01-19  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool: Recognize option --extract-maintainer.
	(func_get_maintainer): New function.
	* modules/*: Add Maintainer entry.

2003-01-16  Bruno Haible  <bruno@clisp.org>

	* MODULES.html.sh: Add a table of contents. Add the module name as
	leftmost column. Add hyperlinks.

2003-01-11  Bruno Haible  <bruno@clisp.org>

	* modules/stpcpy: Distribute lib/stpcpy.h.
	* modules/setenv: Depend on alloca. Distribute lib/setenv.h.

2003-01-11  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_create_testdir): Store config/* files in the main
	directory.
	* config.rpath: Move to ...
	* config/config.rpath: ... here.
	* modules/gettext: Contains config/config.rpath, not config.rpath.
	* modules/iconv: Likewise.

2003-01-11  Bruno Haible  <bruno@clisp.org>

	* modules/*: Add a description.
	* modules/strpbrk: Fix Makefile.am snippet.
	* modules/strtoimax: Fix dependencies.
	* modules/strtoumax: Likewise.

2003-01-11  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_create_testdir): Substitute lib_OBJECTS.
	* modules/alloca (Makefile.am): All object files depend on alloca.h.
	* modules/stdbool (Makefile.am): All object files depend on stdbool.h.

2003-01-12  Paul Eggert  <eggert@twinsun.com>

	Finish renaming getstr -> getdelim2 and readline -> readlinebuffer,
	to avoid collisions with libcurses and libreadline.
	* getstr: Remove.
	* MODULES.html.sh: Remove getstr.
	* modules/getline: Depend on unlocked-io, not getstr.

2003-01-10  Bruno Haible  <bruno@clisp.org>

	* modules/alloca: Change Makefile.am requirements. Simplify Include
	requirements. Add lib/alloca_.h to file list.

2003-01-09  Bruno Haible  <bruno@clisp.org>

	* modules/stdbool: Change configure.ac, Makefile.am requirements.
	Simplify Include requirements. Add lib/stdbool.h.in to file list.

2003-01-09  Bruno Haible  <bruno@clisp.org>

	* gnulib-tool (func_all_modules): Ignore files ending in ~.
	* MODULES.html.sh: Likewise.

2003-01-09  Karl Berry  <karl@gnu.org>

	* MODULES.html.sh: include `dirname $0` in PATH, to find
	gnulib-tool.

2003-01-08  Bruno Haible  <bruno@clisp.org>

	* modules/full-read: Depend on full-write.

2003-01-07  Bruno Haible  <bruno@clisp.org>

	* MODULES.html.sh: Add copyright notice.
	(missed_files): Omit CVS directory entries.
	(func_module): Make it work with sed-3.02.
	* MODULES.txt: Remove file.

2003-01-01  Karl Berry  <karl@gnu.org>

	* gnulib-tool (func_verify_module): report module name $module in
	error message, not $1.
	* gnulib-tool (create-testdir): don't complain if destdir couldn't
	be created, only if it doesn't exist.
	* gnulib-tool (last_checkin_date): don't expand the $Date here.

2002-12-24  Bruno Haible  <bruno@clisp.org>

	* MODULES.txt: Update according to m4/ changes.

	Module gettext.
	* config.rpath: New file, from gettext-0.11.5.

	* modules/*: New module descriptions.
	* gnulib-tool: New file.
	* MODULES.html.sh: New file.

2002-11-01  Bruno Haible  <bruno@clisp.org>

	* configure.in: Add AC_CONFIG_AUX_DIR call.
	(AC_OUTPUT): Add m4/Makefile, lib/Makefile. Remove doc/Makefile,
	test/Makefile.
	* Makefile.in (subdirs): Add m4, lib. Remove doc, test.

2002-08-23  Stefan Monnier  <monnier@cs.yale.edu>

	* regex.c (PATFETCH): Remove the translating fetch.
	(PATFETCH_RAW): Rename to PATFETCH.
	(set_image_of_range): New fun.
	(SET_RANGE_TABLE_WORK_AREA): Use it.
	(regex_compile): Don't translate the pattern chars so eagerly.
	Only do it when inserting an `exactn' bytecode or when handling
	a char-range.
	(mutually_exclusive_p): Avoid empty statement.

2001-10-22  Jeff Bailey  <jbailey@outpost.dnsalias.org>

	* README: New file
	* doc/*: Add COPYING, COPYING.LIB, COPYING.DOC, fdl.texi
	(per RMS's instructions, this is now the canonical source)
	* lgpl/, gpl/: New directories.

2001-01-24  Stefan Monnier  <monnier@cs.yale.edu>

	* regex.c (mutually_exclusive_p): Don't blindly handle `charset_not'
	as if it was a `charset'.

2000-10-30  Stefan Monnier  <monnier@cs.yale.edu>

	* regex.c (re_iswctype, re_wctype_to_bit): Fix braino.
	(regex_compile): Catch bogus \(\1\).

2000-10-27  Stefan Monnier  <monnier@cs.yale.edu>

	* regex.c (POP_FAILURE_REG_OR_COUNT, re_match_2_internal)
	(re_match_2_internal, re_match_2_internal, re_match_2_internal):
	Giving in to popular pressure to shut up the compiler with casts.

2000-10-25  Stefan Monnier  <monnier@cs.yale.edu>

	* regex.c: More `unsigned char' -> `re_char' changes.
	Also change several `int' into `re_wchar_t'.
	(PATTERN_STACK_EMPTY, PUSH_PATTERN_OP, POP_PATTERN_OP): Remove.
	(PUSH_FAILURE_POINTER): Don't cast any more.
	(POP_FAILURE_REG_OR_COUNT): Remove the cast that strips `const'.
	We want GCC to complain, since this piece of code makes
	re_match non-reentrant, which *should* be fixed.
	(GET_BUFFER_SPACE): Use size_t rather than unsigned long.
	(EXTEND_BUFFER): Use RETALLOC.
	(SET_LIST_BIT): Don't cast.
	(re_wchar_t): New type.
	(re_iswctype, re_wctype_to_bit): Make it crystal clear to GCC
	that those two functions will always properly return.
	(IMMEDIATE_QUIT_CHECK): Cast to void.
	(analyse_first): Use recursion rather than an explicit stack.
	(re_compile_fastmap): Can't fail anymore.
	(re_search_2): Don't check re_compile_fastmap for failure.
	(PUSH_NUMBER): Renamed from PUSH_FAILURE_COUNT.
	Now also sets the new value (passed in a new argument).
	(re_match_2_internal): Use it.
	Also, use a new var `reg' of type size_t when looping through regs
	rather than reuse the inappropriate `mcnt'.

2000-10-24  Andrew Innes  <andrewi@gnu.org>

	* regex.c (IMMEDIATE_QUIT_CHECK): New macro, which does QUIT on
	NT-Emacs only.
	(re_match_2_internal): Use IMMEDIATE_QUIT_CHECK instead of QUIT,
	so that re_search functions only quit when callers expect them to.

2000-10-24  Kenichi Handa  <handa@etl.go.jp>

	* regex.c (regex_compile): Change the way of handling a range from
	a char less than 256 to a char not less than 256.

2000-10-15  Stefan Monnier  <monnier@cs.yale.edu>

	* regex.c (WIDE_CHAR_SUPPORT): Define if _LIBC as well.


Copyright (C) 2000, 2001, 2002, 2003, 2004, 2005, 2006
Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification,
are permitted provided the copyright notice and this notice are preserved.
